<?php $__env->startSection('panel'); ?>
<div class="row">
    <div class="col-lg-12">
        <form action="<?php echo e(route('admin.offer.store', $offer->id??0)); ?>" method="POST" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>

            <div class="card">
                <div class="card-header">
                    <h5 class="card-title mb-0"><?php echo app('translator')->get('General Information'); ?></h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group row">
                                <div class="col-lg-2 col-md-3">
                                    <label class="font-weight-bold" for="offer_name"><?php echo app('translator')->get('Offer Name'); ?> </label>
                                </div>
                                <div class="col-lg-10 col-md-9">
                                    <input type="text" class="form-control" id="offer_name" name="offer_name"" value="<?php echo e(isset($offer)?$offer->name:old('offer_name')); ?>" placeholder="<?php echo app('translator')->get('Type Here'); ?>..." />
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-lg-2 col-md-3">
                                    <label class="font-weight-bold" for="discount_type"><?php echo app('translator')->get('Discount Type'); ?></label>
                                </div>
                                <div class="col-lg-10 col-md-9">
                                      <select class="form-control" id="discount_type" name="discount_type">
                                        <option selected value=""><?php echo app('translator')->get('Select One'); ?></option>
                                        <option value="1"><?php echo app('translator')->get('Fixed'); ?></option>
                                        <option value="2"><?php echo app('translator')->get('Percentage'); ?></option>
                                      </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-lg-2 col-md-3">
                                    <label class="font-weight-bold" for="amount"><?php echo app('translator')->get('Amount'); ?></label>
                                </div>
                                <div class="col-lg-10 col-md-9">
                                    <div class="input-group">
                                        <input type="number" class="form-control numeric-validation" id="amount" name="amount" value="<?php echo e(isset($offer)?$offer->amount:old('amount')); ?>" placeholder="<?php echo app('translator')->get('Type Here'); ?>...">
                                        <div class="input-group-append">
                                            <span class="input-group-text" id="basic-addon2"><?php if(isset($offer)): ?> <?php echo e($offer->discount_type==1?$general->cur_sym:'%'); ?> <?php else: ?> <?php echo e($general->cur_text); ?> <?php endif; ?></span>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-lg-2 col-md-3">
                                    <label class="font-weight-bold" for="start_date"><?php echo app('translator')->get('Start Date'); ?></label>
                                </div>
                                <div class="col-lg-10 col-md-9">
                                    <input type="text" name="start_date" id="start_date" class="datepicker-here form-control" data-language='en' data-date-format="yyyy-mm-dd" data-position='bottom left' value="<?php echo e(isset($offer)?$offer->start_date:old('start_date')); ?>" placeholder="<?php echo app('translator')->get('Select Date'); ?>" autocomplete="off" >

                                    <small class="form-text text-muted"> <i class="fa fa-info-circle" aria-hidden="true"></i> <?php echo app('translator')->get('Year-Month-Date'); ?></small>
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-lg-2 col-md-3">
                                    <label class="font-weight-bold" for="end_date"><?php echo app('translator')->get('End Date'); ?></label>
                                </div>
                                <div class="col-lg-10 col-md-9">
                                    <input type="text" name="end_date" id="end_date" class="datepicker-here form-control" data-language='en' data-date-format="yyyy-mm-dd" data-position='bottom left' value="<?php echo e(isset($offer)?$offer->end_date:old('end_date')); ?>" placeholder="<?php echo app('translator')->get('Select Date'); ?>" autocomplete="off">
                                    <small class="form-text text-muted"> <i class="fa fa-info-circle" aria-hidden="true"></i> <?php echo app('translator')->get('Year-Month-Date'); ?></small>
                                </div>
                            </div>



                        </div>
                    </div>
                </div>
            </div>

            <div class="card my-3">
                <div class="card-header">
                    <h5 class="card-title mb-0"><?php echo app('translator')->get('Products'); ?></h5>
                </div>
                <div class="card-body has-select2">
                    <div class="row">
                        <div class="col-md-12">

                            <div class="form-group row">
                                <div class="col-lg-2 col-md-3">
                                    <label class="font-weight-bold" for="products"><?php echo app('translator')->get('Select Product'); ?></label>
                                </div>
                                <div class="col-lg-10 col-md-9">

                                    <select class="form-control" id="products" name="products[]" multiple required>
                                        <?php if(request()->routeIs('admin.offer.edit')): ?>
                                            <?php $__currentLoopData = $offer->products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($product->id); ?>"><?php echo e(__($product->name)); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </select>
                                </div>
                            </div>


                        </div>
                    </div>
                </div>
            </div>


            <button type="submit" class="btn btn-block btn--primary mt-3"><?php echo app('translator')->get('Add'); ?></button>
        </form>
    </div>
</div>


<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
    <a href="<?php echo e(route('admin.offer.index')); ?>" class="btn btn-sm btn--primary box--shadow1 text--small"><i class="la la-backward"></i><?php echo app('translator')->get('Go Back'); ?></a>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        'use strict';
        (function($){
            var dropdownParent = $('.bodywrapper__inner');
            $('#discount_type').on('change', function () {
                var val = this.value;
                if(val == 1) {
                    $('#basic-addon2').text(`<?php echo e($general->cur_sym); ?>`);
                }else{
                    $('#basic-addon2').text(`%`);
                }
            });

            <?php if(request()->routeIs('admin.offer.edit')): ?>
                var products = <?php echo json_encode($offer->products->pluck('id'), 15, 512) ?>;
                $('#products').val(products);

                $('#discount_type').val(<?php echo e($offer->discount_type); ?>);
                $('#start_date').datepicker({
                    singleDatePicker: true,
                    showDropdowns: true,
                    autoApply: true,
                    locale: {
                        format: 'YYYY-MM-DD'
                    }
                }).data('datepicker').selectDate(new Date($('#start_date').val()));

                $('#end_date').datepicker({
                    singleDatePicker: true,
                    showDropdowns: true,
                    autoApply: true,
                    locale: {
                        format: 'YYYY-MM-DD'
                    }
                }).data('datepicker').selectDate(new Date($('#end_date').val()));
            <?php else: ?>
            $('.datepicker-here').datepicker({
                singleDatePicker: true,
                showDropdowns: true,
                autoApply: true,
                locale: {
                    format: 'YYYY-MM-DD'
                }
            });

            <?php endif; ?>

            $('#products').select2({
                ajax: {
                    url: '<?php echo e(route("admin.products_for_offer")); ?>',
                    type: "get",
                    dataType: 'json',
                    delay: 1000,
                    data: function (params) {

                        return {
                            search: params.term,
                            page : params.page,// Page number, page breaks
                            rows : 5// How many rows are displayed per page
                        };
                    },
                    processResults: function (response, params) {
                        params.page = params.page || 1;
                        return {
                            results: response,
                            pagination : {
                                more : params.page < response.length
                            }
                        };
                    },
                    cache: false
                },
                dropdownParent: dropdownParent

            });


        })(jQuery)

    </script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script-lib'); ?>
<script type="text/javascript" src="<?php echo e(asset('assets/admin/js/vendor/datepicker.min.js')); ?>"></script>
<script type="text/javascript" src="<?php echo e(asset('assets/admin/js/vendor/datepicker.en.js')); ?>"></script>
<?php $__env->stopPush(); ?>





<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/trusrpca/applecliniclb.com/core/resources/views/admin/offers/create.blade.php ENDPATH**/ ?>