<?php $__env->startSection('panel'); ?>
<div class="row">
    <div class="col-lg-12">
        <div class="card b-radius--10">
            <?php if(!request()->routeIs('admin.product.reviews.trashed')): ?>
            <div class="card-body">
                    <div class="row justify-content-end">
                        <div class="col-lg-4 mb-3">
                            <form action="<?php echo e(route('admin.product.reviews.search')); ?>" method="GET" >
                                <div class="input-group has_append">
                                    <input type="text" name="key" class="form-control" placeholder="<?php echo app('translator')->get('Search'); ?>..."
                                        value="<?php echo e(request()->key ?? ''); ?>">
                                    <div class="input-group-append">
                                        <button class="btn btn--success" id="search-btn" type="submit"><i class="fa fa-search"></i></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
            <?php else: ?>
            <div class="card-body p-0">
            <?php endif; ?>
                <div class="table-responsive--md table-responsive">
                    <table class="table table--light style--two">
                        <thead>
                            <tr>
                                <th><?php echo app('translator')->get('Id'); ?></th>
                                <th><?php echo app('translator')->get('Product'); ?></th>
                                <th><?php echo app('translator')->get('User'); ?></th>
                                <th><?php echo app('translator')->get('Rating'); ?></th>
                                <th><?php echo app('translator')->get('Date'); ?></th>
                                <th class="text-center"><?php echo app('translator')->get('Action'); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $reviews; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $review): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td data-label="Id">
                                    <?php echo e(($review->currentPage-1) * $review->perPage + $loop->iteration); ?>

                                </td>
                                <td data-label="<?php echo app('translator')->get('Product'); ?>"><?php echo e(__($review->product->name)); ?></td>
                                <td data-label="<?php echo app('translator')->get('User'); ?>"><?php echo e(__($review->user->username)); ?></td>
                                <td data-label="<?php echo app('translator')->get('Rating'); ?>"><?php echo e(__($review->rating)); ?></td>
                                <td data-label="<?php echo app('translator')->get('Rating'); ?>"><?php echo e(\Carbon\Carbon::parse($review->created_at)->diffForHumans()); ?></td>
                                <td data-label="<?php echo app('translator')->get('Action'); ?>">
                                    <button type="button" class="icon-btn mr-1 view-btn" data-toggle="tooltip" title="<?php echo app('translator')->get('View'); ?>" data-user="<?php echo e(__($review->user->username)); ?>" data-rating="<?php echo e($review->rating); ?>" data-review="<?php echo e($review->review); ?>" data-user_link="<?php echo e(route('admin.users.detail', $review->user->id)); ?>">
                                        <i class="la la-desktop"></i>
                                    </button>

                                    <button type="button" class="icon-btn btn--<?php echo e($review->trashed()?'success':'danger'); ?> deleteBtn" data-toggle="tooltip" data-title="<?php echo app('translator')->get($review->trashed()?'Restore':'Delete'); ?>" data-type="<?php echo e($review->trashed()?'restore':'delete'); ?>" data-id='<?php echo e($review->id); ?>'>
                                        <i class="la la-<?php echo e($review->trashed()?'redo':'trash'); ?>"></i>
                                    </button>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td class="text-muted text-center" colspan="100%"><?php echo e(__($empty_message)); ?></td>
                            </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="card-footer py-4">
                <nav aria-label="...">
                    <?php echo e($reviews->appends(['search'=>request()->search ?? null])->links('admin.partials.paginate')); ?>

                </nav>
            </div>

        </div>
    </div>
</div>



<div class="modal fade" id="deleteModal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
        <form action="" method="POST" id="deleteForm">
            <?php echo csrf_field(); ?>
                <div class="modal-header">
                    <h5 class="modal-title text-capitalize" id="deleteModalLabel">
                        <?php echo app('translator')->get('Removal Confirmation'); ?>
                    </h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn--dark" data-dismiss="modal"><?php echo app('translator')->get('No'); ?></button>
                    <button type="submit" class="btn btn--danger"><?php echo app('translator')->get('Yes'); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="viewModal">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"><?php echo app('translator')->get('Product Review'); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
            </div>
            <div class="modal-body">

                <div class="form-group">
                    <label for="name"><?php echo app('translator')->get('Reviewer'); ?></label>
                    <a href="" id="user-detail">
                        <sapn class="form-control" id="name"></sapn>
                    </a>
                    </div>
                <div class="form-group">
                    <label><?php echo app('translator')->get('Rating'); ?></label>
                    <span class="form-control" id="rating"></span>
                </div>
                <div class="form-group">
                    <label for="review"><?php echo app('translator')->get('Review'); ?></label>
                    <p class="form-control h-auto" id="review" ></p>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn--dark" data-dismiss="modal"><?php echo app('translator')->get('Ok'); ?></button>
            </div>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>


<?php $__env->startPush('script'); ?>

<script>

    'use strict';
    (function($){
        $('.deleteBtn').on('click', function () {
        var modal   = $('#deleteModal');
        var id      = $(this).data('id');
        var type    = $(this).data('type');
        var form    = document.getElementById('deleteForm');

        if(type == 'delete'){
            modal.find('.modal-title').text('<?php echo e(trans("Delete Review")); ?>');
            modal.find('.modal-body').text('<?php echo e(trans("Are you sure to delete this review?")); ?>');
        }else{
            modal.find('.modal-title').text('<?php echo e(trans("Restore Review")); ?>');
            modal.find('.btn--danger').removeClass('btn--danger').addClass('btn--success');
            modal.find('.modal-body').text('<?php echo e(trans("Are you sure to restore this review?")); ?>');
        }
        form.action = '<?php echo e(route('admin.product.review.delete', '')); ?>'+'/'+id;
        modal.modal('show');
    });

    $('.view-btn').on('click', function () {
        var modal   = $('#viewModal');

        modal.find('#name').text($(this).data('user'));
        modal.find('#rating').text($(this).data('rating'));
        modal.find('#review').text($(this).data('review'));
        modal.find('#user-detail').attr('href', $(this).data('user_link'));

        modal.modal('show');
    });

    $('.image-popup').magnificPopup({
        type: 'image'
    });
    })(jQuery)


</script>

<?php $__env->stopPush(); ?>


<?php $__env->startPush('breadcrumb-plugins'); ?>
    <?php if(!request()->routeIs('admin.product.reviews')): ?>
        <?php if(request()->routeIs('admin.products.trashed.search')): ?>
        <a href="<?php echo e(route('admin.product.reviews.trashed')); ?>" class="btn btn-sm btn--primary box--shadow1 text--small"><i class="las la-backward"></i><?php echo app('translator')->get('Go Back'); ?></a>
        <?php else: ?>
        <a href="<?php echo e(route('admin.product.reviews')); ?>" class="btn btn-sm btn--primary box--shadow1 text--small"><i class="las la-backward"></i><?php echo app('translator')->get('Go Back'); ?></a>
        <?php endif; ?>
    <?php endif; ?>

    <?php if(request()->routeIs('admin.product.reviews')): ?>
    <a href="<?php echo e(route('admin.product.reviews.trashed')); ?>" class="btn btn-sm btn--danger box--shadow1 text--small"><i class="la la-trash-alt"></i><?php echo app('translator')->get('Trashed'); ?></a>
    <?php endif; ?>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/trusrpca/applecliniclb.com/core/resources/views/admin/products/reviews.blade.php ENDPATH**/ ?>