<?php $__env->startSection('content'); ?>

<!-- Cart Section Starts Here -->
<div class="user-profile-section padding-top padding-bottom">
    <div class="container">
        <div class="row">
            <div class="col-xl-3">
                <div class="dashboard-menu">
                    <?php echo $__env->make($activeTemplate.'user.partials.dp', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <ul>
                        <?php echo $__env->make($activeTemplate.'user.partials.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </ul>
                </div>
            </div>
            <div class="col-xl-9">
                <div class="checkout-area section-bg">
                    <div class="row">
                        <div class="col-lg-4">
                            <div class="user-profile">
                                <div class="thumb">
                                    <img id="imagePreview" src="<?php echo e(getAvatar(imagePath()['user_profile']['path'].'/'.$user->image )); ?>" alt="<?php echo app('translator')->get('user'); ?>">
                                    <label for="file-input" class="file-input-btn">
                                        <i class="la la-edit"></i>
                                    </label>
                                </div>
                                <div class="content">
                                    <h5 class="title"><?php echo e($user->fullname); ?></h5>
                                    <span><?php echo app('translator')->get('Username'); ?>: <?php echo e($user->username); ?></span>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-8">
                            <form action="" method="post" enctype="multipart/form-data" class="user-profile-form row mb--20">
                                <?php echo csrf_field(); ?>
                                <input type='file' class="d-none" name="image" id="file-input" accept=".png, .jpg, .jpeg" />

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('First Name'); ?></label>
                                        <input class="form-control custom--style" type="text" name="firstname" value="<?php echo e($user->firstname); ?>" placeholder="<?php echo app('translator')->get('Last Name'); ?>">
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Last Name'); ?></label>
                                        <input class="form-control custom--style" type="text" name="lastname" value="<?php echo e($user->lastname); ?>" placeholder="<?php echo app('translator')->get('Last Name'); ?>">
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Email'); ?></label>
                                        <input class="form-control custom--style" type="email" name="email" value="<?php echo e($user->email); ?>" placeholder="<?php echo app('translator')->get('Last Name'); ?>" readonly>
                                    </div>
                                </div>


                                <div class="col-md-6">
                                    <label for="country" class="billing-label"><?php echo app('translator')->get('Country'); ?></label>
                                    <div class="billing-select">
                                        <select name="country" id="country" class="select-bar">
                                            <?php echo $__env->make('partials.country', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('City'); ?></label>
                                        <input class="form-control custom--style" type="text" name="city" value="<?php echo e(@$user->address->city); ?>" placeholder="<?php echo app('translator')->get('City'); ?>">
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('State'); ?></label>
                                        <input class="form-control custom--style" type="text" name="state" value="<?php echo e(@$user->address->state); ?>" placeholder="<?php echo app('translator')->get('State'); ?>">
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Zip'); ?></label>
                                        <input class="form-control custom--style" type="text" name="zip" value="<?php echo e(@$user->address->zip); ?>" placeholder="<?php echo app('translator')->get('Zip'); ?>">
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Mobile'); ?></label>
                                        <input class="form-control custom--style" type="text" name="mobile" value="<?php echo e($user->mobile); ?>" placeholder="<?php echo app('translator')->get('Cell No.'); ?>" readonly>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Address'); ?></label>
                                        <textarea class="form-control custom--style" name="address" rows="3"><?php echo e(@$user->address->address); ?></textarea>
                                    </div>
                                </div>
                                <div class="col-lg-6 ml-auto text-right mb-20">
                                    <button type="submit" class="bill-button w-unset"><?php echo app('translator')->get('Update Profile'); ?></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Cart Section Ends Here -->

<?php $__env->stopSection(); ?>


<?php $__env->startPush('script'); ?>
    <script>
        'use strict';
        (function($){
            $('select[name=country]').val("<?php echo e(@$user->address->country); ?>");

            $("#file-input").on('change',function() {
                readURL(this);
            });

            function readURL(input) {
                if (input.files && input.files[0]) {
                    var reader = new FileReader();
                    reader.onload = function(e) {
                        $('#imagePreview').attr('src', e.target.result);
                        $('#imagePreview').hide();
                        $('#imagePreview').fadeIn(650);
                    }
                    reader.readAsDataURL(input.files[0]);
                }
            }
        })(jQuery)

    </script>
<?php $__env->stopPush(); ?>


<?php $__env->startPush('breadcrumb-plugins'); ?>
    <li><a href="<?php echo e(route('user.home')); ?>"><?php echo app('translator')->get('Dashboard'); ?></a></li>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate.'layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/trusrpca/applecliniclb.com/core/resources/views/templates/basic/user/profile-setting.blade.php ENDPATH**/ ?>