<?php $__env->startSection('panel'); ?>
<div class="row">
    <div class="col-lg-12">
        <div class="card b-radius--10 ">

            <div class="card-body">

                <div class="row justify-content-end">
                    <div class="col-lg-4 mb-3">
                        <form action="<?php echo e(route('admin.category.trashed.search')); ?>" method="GET">
                            <div class="input-group has_append">
                                <input type="text" name="search" class="form-control" placeholder="<?php echo app('translator')->get('Type Category Name & Hit Enter'); ?>" value="<?php echo e(request()->search ?? ''); ?>">
                                <div class="input-group-append">
                                    <button class="btn btn--success" id="search-btn" type="submit"><i class="la la-search"></i></button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>

                <div class="table-responsive--md table-responsive">
                    <table class="table table--light style--two">
                        <thead>
                            <tr>
                                <th><?php echo app('translator')->get('S.N.'); ?></th>
                                <th><?php echo app('translator')->get('Thumbnail'); ?></th>
                                <th><?php echo app('translator')->get('Name'); ?></th>
                                <th><?php echo app('translator')->get('Icon'); ?></th>
                                <th><?php echo app('translator')->get('Action'); ?></th>
                            </tr>
                        </thead>
                        <tbody class="list">
                            <?php $__empty_1 = true; $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td data-label="S.N.">
                                        <?php echo e(($categories->currentPage()-1) * $categories->perPage() + $loop->iteration); ?>

                                    </td>
                                    <td data-label="Thumbnail">
                                        <div class="user">
                                            <div class="thumb">
                                                <a href="<?php echo e(getImage('assets/images/category/'  . @$category->image)); ?>" class="image-popup">
                                                <img src="<?php echo e(getImage('assets/images/category/'. @$category->image)); ?>" alt="<?php echo app('translator')->get('profile-image'); ?>">
                                                </a>
                                            </div>
                                        </div>
                                    </td>

                                    <td data-label="<?php echo app('translator')->get('Name'); ?>"><?php echo e(__($category->name)); ?></td>

                                    <td data-label="Icon"><?php echo $category->icon ?> </td>

                                    <td data-label="Action">

                                        <span data-toggle="tooltip" data-placement="top" title="<?php echo app('translator')->get('Restore'); ?>">
                                            <button type="button"
                                                class="icon-btn btn--success ml-1"
                                                data-toggle="modal"
                                                data-target="#deleteModal" data-id='<?php echo e($category->id); ?>'>
                                                <i
                                                    class="las la-trash-restore"></i>
                                            </button>
                                        </span>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td class="text-muted text-center" colspan="100%"><?php echo e(__($empty_message)); ?></td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>

            </div>
            <div class="card-footer py-4">
                <?php echo e($categories->appends(['search'=>request()->search ?? null])->links('admin.partials.paginate')); ?>

            </div>

        </div>
    </div>
</div>


<div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel"
    aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <form action="" method="POST" id="deletePostForm">
                <?php echo csrf_field(); ?>
                <div class="modal-header">
                    <h5 class="modal-title text-capitalize" id="deleteModalLabel"><?php echo app('translator')->get('Restore Category'); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p class="text-bold">
                        <?php echo app('translator')->get('Are you sure to restore this category'); ?>?
                    </p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-sm btn--dark" data-dismiss="modal"><?php echo app('translator')->get('No'); ?></button>
                    <button type="submit" class="btn btn-sm btn--success"><?php echo app('translator')->get('Yes'); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>


<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>

        <?php if(request()->routeIs('admin.category.trashed.search')): ?>
            <a href="<?php echo e(route('admin.category.trashed')); ?>"
                class="btn btn-sm btn--primary box--shadow1 text--small">
                <i class="la la-backward"></i> <?php echo app('translator')->get('Go Back'); ?>
            </a>
        <?php else: ?>
            <a href="<?php echo e(route('admin.category.all')); ?>"
                class="btn btn-sm btn--primary box--shadow1 text--small">
                <i class="la la-backward"></i> <?php echo app('translator')->get('Go Back'); ?>
            </a>
        <?php endif; ?>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script-lib'); ?>
    <script src="<?php echo e(asset('assets/admin/js/bootstrap-iconpicker.bundle.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style-lib'); ?>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" />
    <link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/bootstrap-iconpicker.min.css')); ?>">
<?php $__env->stopPush(); ?>


<?php $__env->startPush('script'); ?>
    <script>
        'use strict';
        (function($){
            $('.image-popup').magnificPopup({
                type: 'image'
            });
            $('#deleteModal').on('show.bs.modal', function (e) {
                var id = $(e.relatedTarget).data('id');
                var form = document.getElementById('deletePostForm');
                form.action = '<?php echo e(route('admin.category.delete', '')); ?>' +
                    '/' + id;
            });
        })(jQuery)
    </script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/khapbqfu/public_html/demo/test_apple/core/resources/views/admin/categories/trashed.blade.php ENDPATH**/ ?>