<?php $__env->startSection('content'); ?>
<!-- Category Section Starts Here -->
<div class="category-section padding-bottom padding-top">
    <div class="container">
        <?php if($products->count() == 0): ?>
        <div class="mb-30">
            <?php echo $__env->make($activeTemplate.'partials.empty_message', ['message' => __($empty_message)], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>
        <?php else: ?>

        <div class="alert cl-title alert--base" role="alert">
            <?php echo app('translator')->get('Search Result for'); ?> <strong class="text--secondary">"<?php echo e($search_key); ?>"</strong> : <?php echo app('translator')->get('Total'); ?> <?php echo e($products->count()); ?> <?php echo app('translator')->get('Products Found'); ?>
        </div>


        <div class="filter-category-header">
            <div class="fileter-select-item">
                <div class="select-item product-page-per-view">
                    <select class="select-bar bg-3">
                        <option value=""><?php echo app('translator')->get('Products Per Page'); ?></option>
                        <option value="5" <?php echo e(@$perpage == 5?'selected':''); ?>><?php echo app('translator')->get('5 Items Per Page'); ?> </option>
                        <option value="15" <?php echo e(@$perpage == 15?'selected':''); ?>><?php echo app('translator')->get('15 Items Per Page'); ?> </option>
                        <option value="30" <?php echo e(@$perpage == 30?'selected':''); ?>><?php echo app('translator')->get('30 Items Per Page'); ?> </option>
                        <option value="50" <?php echo e(@$perpage == 50?'selected':''); ?>><?php echo app('translator')->get('50 Items Per Page'); ?> </option>
                        <option value="100" <?php echo e(@$perpage == 100?'selected':''); ?>><?php echo app('translator')->get('100 Items Per Page'); ?> </option>
                        <option value="200" <?php echo e(@$perpage == 200?'selected':''); ?>><?php echo app('translator')->get('200 Items Per Page'); ?> </option>
                    </select>
                </div>
            </div>


            <div class="fileter-select-item d-none d-lg-block ml-auto align-self-end">
                <ul class="view-number">
                    <li class="change-grid-to-6">
                        <span class="bar"></span>
                        <span class="bar"></span>
                    </li>
                    <li class="change-grid-to-4">
                        <span class="bar"></span>
                        <span class="bar"></span>
                        <span class="bar"></span>
                    </li>
                    <li class="change-grid-to-3  active">
                        <span class="bar"></span>
                        <span class="bar"></span>
                        <span class="bar"></span>
                        <span class="bar"></span>
                    </li>
                </ul>
            </div>
            <div class="fileter-select-item d-none d-lg-block ml-auto ml-lg-0 align-self-end">
                <ul class="view-style d-flex">
                    <li>
                        <a href="javascript:void(0)" class="active view-grid-style"><i class="las la-border-all"></i></a>
                    </li>
                    <li>
                        <a href="javascript:void(0)" class="view-list-style"><i class="las la-list-ul"></i></a>
                    </li>
                </ul>
            </div>
        </div>
        <div class="position-relative">
            <div id="overlay">
                <div class="cv-spinner">
                    <span class="spinner"></span>
                </div>
            </div>
            <div class="overlay-2" id="overlay2"></div>
            <div class="page-main-content">
                <div class="row mb-30-none page-main-content" id="grid-view">

                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                        if($item->offer && $item->offer->activeOffer){
                            $discount = calculateDiscount($item->offer->activeOffer->amount, $item->offer->activeOffer->discount_type, $item->base_price);
                        }else $discount = 0;
                        $wCk = checkWishList($item->id);
                        $cCk = checkCompareList($item->id);
                    ?>

                    <div class="col-lg-3 col-sm-6 grid-control mb-30">
                        <div class="product-item-2 m-0">
                            <div class="product-item-2-inner wish-buttons-in">
                                <div class="product-thumb">
                                    <ul class="wish-react">
                                        <li>
                                            <a href="javascript:void(0)" title="<?php echo app('translator')->get('Add To Wishlist'); ?>" class="add-to-wish-list <?php echo e($wCk?'active':''); ?>" data-id="<?php echo e($item->id); ?>"><i class="lar la-heart"></i></a>
                                        </li>
                                        <li>

                                            <a href="javascript:void(0)" title="<?php echo app('translator')->get('Compare'); ?>" class="add-to-compare <?php echo e($cCk?'active':''); ?>" data-id="<?php echo e($item->id); ?>"><i class="las la-sync-alt"></i></a>
                                        </li>
                                    </ul>
                                    <a href="<?php echo e(route('product.detail', ['id'=>$item->id, 'slug'=>slug($item->name)])); ?>">
                                        <img src="<?php echo e(getImage(imagePath()['product']['path'].'/thumb_'.@$item->main_image, imagePath()['product']['size'])); ?>" alt="<?php echo app('translator')->get('flash'); ?>">
                                    </a>
                                </div>
                                <div class="product-content">
                                    <div class="product-before-content">
                                        <h6 class="title">
                                            <a href="<?php echo e(route('product.detail', ['id'=>$item->id, 'slug'=>slug($item->name)])); ?>"><?php echo e(__($item->name)); ?></a>
                                        </h6>
                                        <h6 class="title mt-1">
                                            <?php echo app('translator')->get('Brand'); ?> : <?php echo e(__($item->brand->name)); ?>

                                        </h6>
                                        <div class="single_content">
                                            <p><?php echo __($item->summary) ?></p>
                                        </div>
                                        <div class="ratings-area justify-content-between">
                                            <div class="ratings">
                                                <?php echo display_avg_rating($item->reviews) ?>
                                            </div>
                                            <span class="ml-2 mr-auto">(<?php echo e($item->reviews->count()); ?>)</span>
                                            <div class="price">
                                                <?php if($discount > 0): ?>
                                                    <?php echo e($general->cur_sym); ?><?php echo e(getAmount($item->base_price - $discount, 2)); ?>

                                                    <del><?php echo e(getAmount($item->base_price, 2)); ?></del>
                                                <?php else: ?>
                                                    <?php echo e($general->cur_sym); ?><?php echo e(getAmount($item->base_price, 2)); ?>

                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="product-after-content">
                                        <button data-product="<?php echo e($item->id); ?>" class="cmn-btn btn-sm quick-view-btn">
                                            <?php echo app('translator')->get('View'); ?>
                                        </button>
                                        <div class="price">
                                            <?php if($discount > 0): ?>
                                            <?php echo e($general->cur_sym); ?><?php echo e(getAmount($item->base_price - $discount, 2)); ?>

                                            <del><?php echo e(getAmount($item->base_price, 2)); ?></del>
                                            <?php else: ?>
                                            <?php echo e($general->cur_sym); ?><?php echo e(getAmount($item->base_price, 2)); ?>

                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </div>

                <?php echo e($products->appends(['perpage'=>@$perpage, 'category_id'=>$category_id])->links()); ?>

            </div>
        </div>
        <?php endif; ?>
    </div>
</div>
<!-- Category Section Ends Here -->
<?php $__env->stopSection(); ?>


<?php $__env->startPush('breadcrumb-plugins'); ?>
    <li><a href="<?php echo e(route('home')); ?>"><?php echo app('translator')->get('Home'); ?></a></li>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('meta-tags'); ?>
    <?php echo $__env->make('partials.seo', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopPush(); ?>


<?php $__env->startPush('script'); ?>
    <script>
        'use strict';
        (function($){
            $(document).on('change', '.product-page-per-view select', function(){
                $("#overlay, #overlay2").fadeIn(300);
                $.ajax({
                    url: "<?php echo e(route('product.search.filter')); ?>",
                    method: "get",
                    data: {'perpage':$(this).val()},
                    success: function(result){
                        $('.ajax-preloader').addClass('d-none');
                        $('.page-main-content').html(result);

                    }
                }).done(function() {
                    setTimeout(function(){
                        $("#overlay, #overlay2").fadeOut(300);
                    },500);
                });

            });

        })(jQuery)

    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate .'layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp74\htdocs\applecliniclb\core\resources\views/templates/basic/products_search.blade.php ENDPATH**/ ?>