<?php $__env->startSection('panel'); ?>
    <div class="row mb-none-30">
        <div class="col-xl-4 col-lg-5 mb-30">
            <div class="card b-radius--5 overflow-hidden">
                <div class="card-body">
                    <div class="avatar avatar--lg text-center mb-4">
                        <img src="<?php echo e(getImage('assets/admin/images/profile/'. $admin->image)); ?>" class="w-50 h-auto" alt="profile-image">
                    </div>
                    <ul class="list-group">
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            <?php echo app('translator')->get('Name'); ?>
                            <span class="font-weight-bold"><?php echo e($admin->name); ?></span>
                        </li>

                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            <?php echo app('translator')->get('Username'); ?>
                            <span  class="font-weight-bold"><?php echo e($admin->username); ?></span>
                        </li>

                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            <?php echo app('translator')->get('Email'); ?>
                            <span  class="font-weight-bold"><?php echo e($admin->email); ?></span>
                        </li>

                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            <?php echo app('translator')->get('Last Update'); ?>
                            <span  class="font-weight-bold"><?php echo e(showDateTime($admin->updated_at,'d M, Y h:i A')); ?></span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            <?php echo app('translator')->get('Joined'); ?>
                            <span  class="font-weight-bold"><?php echo e(showDateTime($admin->created_at,'d M, Y h:i A')); ?></span>
                        </li>

                    </ul>
                </div>
            </div>
        </div>
        <div class="col-xl-8 col-lg-7 mb-30">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title mb-50 border-bottom pb-2"><?php echo app('translator')->get('Change Password'); ?></h5>

                    <form action="<?php echo e(route('admin.password.update')); ?>" method="POST" enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>
                        <div class="form-group row">
                            <label class="col-lg-3 font-weight-bold"><?php echo app('translator')->get('Password'); ?></label>
                            <div class="col-lg-9">
                                <input class="form-control" type="password" name="old_password">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-lg-3 font-weight-bold"><?php echo app('translator')->get('New password'); ?></label>
                            <div class="col-lg-9">
                                <input class="form-control" type="password" name="password">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-lg-3 font-weight-bold"><?php echo app('translator')->get('Confirm password'); ?></label>
                            <div class="col-lg-9">
                                <input class="form-control" type="password" name="password_confirmation">
                            </div>
                        </div>
                        <div class="form-group row justify-content-end">
                            <div class="col-lg-9">
                            <button type="submit" class="btn btn--primary btn-block btn-lg"><?php echo app('translator')->get('Save Changes'); ?></button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
    <a href="<?php echo e(route('admin.profile')); ?>" class="btn btn-sm btn--primary box--shadow1 text--small" ><i class="fa fa-user"></i><?php echo app('translator')->get('Profile Setting'); ?></a>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/trusrpca/applecliniclb.com/core/resources/views/admin/password.blade.php ENDPATH**/ ?>