<?php $__env->startSection('panel'); ?>
<div class="row">
    <div class="col-lg-12">
        <div class="card b-radius--10">
            <div class="card-body">

                <div class="row justify-content-end">
                    <div class="col-lg-4 mb-3">
                        <form action="" method="GET">
                            <div class="input-group has_append">
                                <input type="text" name="search" class="form-control" placeholder="<?php echo app('translator')->get('Search'); ?>..." value="<?php echo e(request()->search ?? ''); ?>">
                                <div class="input-group-append">
                                    <button class="btn btn--success" id="search-btn" type="submit"><i class="la la-search"></i></button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>

                <div class="table-responsive--md  table-responsive">
                    <table class="table table--light style--two">
                        <thead>
                            <tr>
                                <th><?php echo app('translator')->get('S.N.'); ?></th>
                                <th><?php echo app('translator')->get('Name'); ?></th>
                                <th><?php echo app('translator')->get('Name for User'); ?></th>
                                <th><?php echo app('translator')->get('Type'); ?></th>
                                <th><?php echo app('translator')->get('Action'); ?></th>
                            </tr>
                        </thead>
                        <tbody class="list">
                            <?php $__empty_1 = true; $__currentLoopData = $attributes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $attr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td data-label="<?php echo app('translator')->get('S.N.'); ?>"><?php echo e(($attributes->currentPage()-1) * $attributes->perPage() + $loop->iteration); ?></td>
                                <td data-label="<?php echo app('translator')->get('Name'); ?>"><?php echo e(__($attr->name)); ?></td>
                                <td data-label="<?php echo app('translator')->get('Name for User'); ?>"><?php echo e(__($attr->name_for_user)); ?></td>
                                <td data-label="<?php echo app('translator')->get('Type'); ?>"><?php if($attr->type==1): ?> <?php echo app('translator')->get('Text'); ?>  <?php elseif($attr->type==2): ?> <?php echo app('translator')->get('Color'); ?>  <?php else: ?> <?php echo app('translator')->get('Image'); ?> <?php endif; ?></td>
                                <td data-label="<?php echo app('translator')->get('Action'); ?>">
                                    <a href="javascript:void(0)" data-toggle="tooltip" data-title="<?php echo app('translator')->get('Edit'); ?>" data-id="<?php echo e($attr->id); ?>" data-name="<?php echo e($attr->name); ?>" data-name_for_user="<?php echo e($attr->name_for_user); ?>" data-type="<?php echo e($attr->type); ?>" class="icon-btn editBtn">
                                        <i class="la la-pencil"></i>
                                    </a>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td class="text-muted text-center" colspan="100%"><?php echo e(__($empty_message)); ?></td>
                            </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="card-footer py-4">
                <nav aria-label="...">
                    <?php echo e($attributes->links('admin.partials.paginate')); ?>

                </nav>
            </div>

        </div>
    </div>
</div>


<div id="addModal" class="modal fade">
    <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"><?php echo app('translator')->get('Add Attribute Type'); ?></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="<?php echo e(route('admin.attributes.store', 0)); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <div class="form-group row">
                        <div class="col-md-3">
                            <label class="font-weight-bold"><?php echo app('translator')->get('Name'); ?></label>
                        </div>
                        <div class="col-md-9">
                            <input type="text" class="form-control" placeholder="<?php echo app('translator')->get('Enter Name For Admin'); ?>" value="" name="name" required/>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="col-md-3">
                            <label class="font-weight-bold"><?php echo app('translator')->get('Name for User'); ?></label>
                        </div>
                        <div class="col-md-9">
                            <input type="text" class="form-control" placeholder="<?php echo app('translator')->get('Enter Name For User'); ?>" value="" name="name_for_user" required/>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-md-3">
                            <label class="font-weight-bold"><?php echo app('translator')->get('Type'); ?></label>
                        </div>
                        <div class="col-md-9">
                            <select class="select2-basic" name="type" required>
                                <option value="" disabled selected><?php echo app('translator')->get('Click to Pick'); ?></option>
                                <option value="1"><?php echo app('translator')->get('Text'); ?></option>
                                <option value="2"><?php echo app('translator')->get('Color'); ?></option>
                                <option value="3"><?php echo app('translator')->get('Image'); ?></option>
                            </select>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-block btn--success mr-2"><?php echo app('translator')->get('Add'); ?></button>
                </form>
            </div>
        </div>
    </div>
</div>


<div id="editModal" class="modal fade">
    <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"><?php echo app('translator')->get('Edit Attribute Type'); ?></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="" method="POST" id="editForm">
                    <?php echo csrf_field(); ?>
                    <div class="form-group row">
                        <div class="col-md-3">
                            <label class="font-weight-bold"><?php echo app('translator')->get('Name'); ?></label>
                        </div>
                        <div class="col-md-9">
                            <input type="text" class="form-control" placeholder="<?php echo app('translator')->get('Enter Name For Admin'); ?>" name="name" required/>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="col-md-3">
                            <label class="font-weight-bold"><?php echo app('translator')->get('Name for User'); ?></label>
                        </div>
                        <div class="col-md-9">
                            <input type="text" class="form-control" placeholder="<?php echo app('translator')->get('Enter Name For User'); ?>" name="name_for_user" required/>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-md-3">
                            <label class="font-weight-bold"><?php echo app('translator')->get('Type'); ?></label>
                        </div>
                        <div class="col-md-9">
                            <select class="select2-basic" name="type" required>
                                <option value="" disabled selected><?php echo app('translator')->get('Click to Pick'); ?></option>
                                <option value="1"><?php echo app('translator')->get('Text'); ?></option>
                                <option value="2"><?php echo app('translator')->get('Color'); ?></option>
                                <option value="3"><?php echo app('translator')->get('Image'); ?></option>
                            </select>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-block btn--success mr-2"><?php echo app('translator')->get('Update'); ?></button>
                </form>
            </div>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
    <button data-toggle="modal" data-target="#addModal" class="btn btn-sm btn--success box--shadow1 text--small"> <i class="la la-plus"></i><?php echo app('translator')->get('Add New'); ?></button>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('script'); ?>
<script>
    "use strict";
    (function ($) {
        $('.editBtn').on('click', function () {
            var modal           = $("#editModal");
            var id              = $(this).data('id');
            var name            = $(this).data('name');
            var name_for_user   = $(this).data('name_for_user');
            var type            = $(this).data('type');
            var typeName        = type==1?'Text':type==2?'Color':'Image';
            modal.find('select[name=type]').val(type);
            modal.find('.select2-selection__rendered').text(typeName);
            modal.find('input[name=name]').val(name);
            modal.find('input[name=name_for_user]').val(name_for_user);
            var form = document.getElementById('editForm');
            form.action = '<?php echo e(route('admin.attributes.store', '')); ?>'+'/'+id;
            modal.modal('show');
        });
    })(jQuery)
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/trusrpca/applecliniclb.com/core/resources/views/admin/attributes/index.blade.php ENDPATH**/ ?>