<!-- navbar-wrapper start -->
<nav class="navbar-wrapper">
    <form class="navbar-search" onsubmit="return false;">
        <button type="submit" class="navbar-search__btn">
            <i class="las la-search"></i>
        </button>
        <input type="search" name="navbar-search__field" id="navbar-search__field" placeholder="<?php echo app('translator')->get('Search'); ?>...">
        <button type="button" class="navbar-search__close"><i class="las la-times"></i></button>

        <div id="navbar_search_result_area">
            <ul class="navbar_search_result"></ul>
        </div>
    </form>

    <div class="navbar__left">
        <button class="res-sidebar-open-btn"><i class="las la-bars"></i></button>
        <button type="button" class="fullscreen-btn">
            <i class="fullscreen-open las la-compress" onclick="openFullscreen();"></i>
            <i class="fullscreen-close las la-compress-arrows-alt" onclick="closeFullscreen();"></i>
        </button>
    </div>

    <div class="navbar__right">
        <ul class="navbar__action-list">
            <li>
                <button type="button" class="navbar-search__btn-open">
                    <i class="las la-search"></i>
                </button>
            </li>
            <li>
                <a href="<?php echo e(url('/')); ?>" target="blank" class="font-weight-bold text--black">
                    <i class="las la-cart-plus"></i> <?php echo app('translator')->get('Visit Store'); ?>
                </a>
            </li>

            <li class="dropdown">
                <button type="button"  data-toggle="dropdown" data-display="static" aria-haspopup="true" aria-expanded="false">
                    <span class="navbar-user">
                        <?php if(session('lang') == 'en'): ?>
                        <?php
                            $default = $language->where('code', 'en')->first();
                        ?>

                        <span class="navbar-user__thumb">
                            <img src="<?php echo e(getImage('assets/images/lang' .'/'. $default['icon'],'64x64')); ?>" alt="<?php echo app('translator')->get('image'); ?>">
                        </span>

                        <span class="navbar-user__info">
                            <span class="navbar-user__name"><?php echo app('translator')->get('English'); ?></span>
                        </span>

                        <?php else: ?>
                            <?php $lang = $language->where('code', session('lang'))->first() ?>
                            <span class="navbar-user__thumb">
                                <img src="<?php echo e(getImage('assets/images/lang' .'/'. $lang['icon'],'64x64')); ?>" alt="<?php echo app('translator')->get('country'); ?>">
                            </span>
                            <span class="navbar-user__info">
                                <span class="navbar-user__name"><?php echo e(__($lang->name)); ?></span>
                            </span>
                        <?php endif; ?>
                        <span class="icon"><i class="las la-chevron-circle-down"></i></span>
                    </span>
                </button>
                <div class="dropdown-menu dropdown-menu--sm p-0 border-0 box--shadow1 dropdown-menu-right">
                    <?php $__currentLoopData = $language; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($lang->code == request()->session()->get('lang')): ?>
                            <?php continue; ?>
                        <?php endif; ?>
                        <a href="<?php echo e(route('lang', $lang->code)); ?>" class="dropdown-menu__item d-flex align-items-center px-3 py-2">

                            <span class="dropdown-menu__caption"><?php echo e(__($lang->name)); ?></span>
                        </a>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </li>


            <li class="dropdown">
                <button type="button" data-toggle="dropdown" data-display="static" aria-haspopup="true" aria-expanded="false">
                    <span class="navbar-user">
                        <span class="navbar-user__thumb">
                            <img src="<?php echo e(getAvatar('assets/admin/images/profile/'. auth()->guard('admin')->user()->image)); ?>"
                                alt="<?php echo app('translator')->get('image'); ?>">
                            </span>

                        <span class="navbar-user__info">
                        <span class="navbar-user__name"><?php echo e(auth()->guard('admin')->user()->username); ?></span>
                        </span>
                        <span class="icon"><i class="las la-chevron-circle-down"></i></span>
                    </span>
                </button>
                <div class="dropdown-menu dropdown-menu--sm p-0 border-0 box--shadow1 dropdown-menu-right">
                    <?php if(Route::has('admin.profile')): ?>
                        <a href="<?php echo e(route('admin.profile')); ?>"
                           class="dropdown-menu__item d-flex align-items-center px-3 py-2">
                            <i class="dropdown-menu__icon las la-user-circle"></i>
                            <span class="dropdown-menu__caption"><?php echo app('translator')->get('Profile'); ?></span>
                        </a>
                    <?php endif; ?>

                    <?php if(Route::has('admin.profile')): ?>
                        <a href="<?php echo e(route('admin.password')); ?>"
                           class="dropdown-menu__item d-flex align-items-center px-3 py-2">
                            <i class="dropdown-menu__icon las la-key"></i>
                            <span class="dropdown-menu__caption"><?php echo app('translator')->get('Password'); ?></span>
                        </a>
                    <?php endif; ?>

                    <?php if(Route::has('admin.logout')): ?>
                        <a href="<?php echo e(route('admin.logout')); ?>"
                           class="dropdown-menu__item d-flex align-items-center px-3 py-2">
                            <i class="dropdown-menu__icon las la-sign-out-alt"></i>
                            <span class="dropdown-menu__caption"><?php echo app('translator')->get('Logout'); ?></span>
                        </a>
                    <?php endif; ?>
                </div>
            </li>
        </ul>
    </div>
</nav>
<!-- navbar-wrapper end -->
<?php /**PATH C:\xampp74\htdocs\applecliniclb\core\resources\views/admin/partials/topnav.blade.php ENDPATH**/ ?>