<?php $__env->startSection('content'); ?>
<div class="payment-history-section padding-bottom padding-top">
    <div class="container">
        <div class="row">
            <div class="col-xl-3">
                <div class="dashboard-menu">
                    <?php echo $__env->make($activeTemplate.'user.partials.dp', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <ul>
                        <?php echo $__env->make($activeTemplate.'user.partials.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </ul>
                </div>
            </div>
            <div class="col-xl-9">
                <table class="payment-table section-bg">
                    <thead>
                        <tr>
                            <th><?php echo app('translator')->get('S.N.'); ?></th>
                            <th><?php echo app('translator')->get('Transaction ID'); ?></th>
                            <th><?php echo app('translator')->get('Gateway'); ?></th>
                            <th><?php echo app('translator')->get('Amount'); ?></th>
                            <th><?php echo app('translator')->get('Status'); ?></th>
                            <th><?php echo app('translator')->get('Time'); ?></th>
                            <th><?php echo app('translator')->get('View'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php if(count($logs) >0): ?>
                        <?php $__currentLoopData = $logs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>

                                <td data-label="<?php echo app('translator')->get('#'); ?>"><?php echo e($loop->iteration); ?></td>
                                <td data-label="<?php echo app('translator')->get('Transaction ID'); ?>"><?php echo e($data->trx); ?></td>
                                <td data-label="<?php echo app('translator')->get('Gateway'); ?>"><?php echo e(__(optional($data->gateway)->name)); ?></td>
                                <td data-label="<?php echo app('translator')->get('Amount'); ?>">
                                    <strong><?php echo e(getAmount($data->amount)); ?> <?php echo e($general->cur_text); ?></strong>
                                </td>
                                <td data-label="<?php echo app('translator')->get('Status'); ?>">
                                    <?php if($data->status == 1): ?>
                                        <span class="d-block badge badge-capsule badge--success"><?php echo app('translator')->get('Complete'); ?></span>
                                    <?php elseif($data->status == 2): ?>
                                        <span class="d-block badge badge-capsule badge--warning"><?php echo app('translator')->get('Pending'); ?></span>
                                    <?php elseif($data->status == 3): ?>
                                        <span class="d-block badge badge-capsule badge--danger"><?php echo app('translator')->get('Cancel'); ?></span>
                                    <?php endif; ?>

                                    <?php if($data->admin_feedback != null): ?>
                                        <button class="cmn-btn detailBtn" data-admin_feedback="<?php echo e($data->admin_feedback); ?>"><i class="fa fa-info"></i></button>
                                    <?php endif; ?>


                                </td>
                                <td data-label="<?php echo app('translator')->get('Time'); ?>">
                                    <i class="fa fa-calendar"></i> <?php echo e(showDateTime($data->created_at)); ?>

                                </td>

                                <?php
                                    $details = ($data->detail != null) ? json_encode($data->detail) : null;
                                ?>

                                <td data-label="<?php echo app('translator')->get('Details'); ?>">
                                    <a href="javascript:void(0)" class="edit approveBtn"
                                        data-info="<?php echo e($details); ?>"
                                        data-id="<?php echo e($data->id); ?>"
                                        data-amount="<?php echo e(getAmount($data->amount)); ?> <?php echo e($general->cur_text); ?>"
                                        data-charge="<?php echo e(getAmount($data->charge)); ?> <?php echo e($general->cur_text); ?>"
                                        data-after_charge="<?php echo e(getAmount($data->amount + $data->charge)); ?> <?php echo e($general->cur_text); ?>"
                                        data-rate="<?php echo e(getAmount($data->rate)); ?> <?php echo e($data->method_currency); ?>"
                                        data-payable="<?php echo e(getAmount($data->final_amo)); ?> <?php echo e($data->method_currency); ?>">
                                        <i class="fa fa-desktop"></i>
                                    </a>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                            <tr>
                                <td colspan="100%"> <?php echo app('translator')->get('No result found'); ?>!</td>
                            </tr>
                        <?php endif; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>



<div id="approveModal" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header bg-3">
                <h5 class="modal-title cl-white"><?php echo app('translator')->get('Details'); ?></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true" class="text-white">&times;</span>
                </button>
            </div>
            <div class="modal-body p-0">
                <ul class="list-group">
                    <li class="list-group-item d-flex justify-content-between rounded-0"><?php echo app('translator')->get('Amount'); ?> <span class="withdraw-amount "></span></li>
                    <li class="list-group-item d-flex justify-content-between rounded-0"><?php echo app('translator')->get('Charge'); ?> <span class="withdraw-charge "></span></li>
                    <li class="list-group-item d-flex justify-content-between rounded-0"><?php echo app('translator')->get('After Charge'); ?> <span class="withdraw-after_charge"></span></li>
                    <li class="list-group-item d-flex justify-content-between rounded-0"><?php echo app('translator')->get('Conversion Rate'); ?> <span class="withdraw-rate"></span></li>
                    <li class="list-group-item d-flex justify-content-between rounded-0 border-bottom-0"><?php echo app('translator')->get('Payable Amount'); ?> : <span class="withdraw-payable"></span></li>
                </ul>


                <ul class="list-group d-flex withdraw-detail mt-1">
                </ul>


            </div>
            <div class="modal-footer">
                <button type="button" class="cmn-btn" data-dismiss="modal"><?php echo app('translator')->get('Close'); ?></button>
            </div>
        </div>
    </div>
</div>



<div id="detailModal" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header bg-3">
                <h5 class="modal-title"><?php echo app('translator')->get('Details'); ?></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">

                <div class="withdraw-detail"></div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal"><?php echo app('translator')->get('Close'); ?></button>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
<script>
    "use strict";
    (function($){
        $('.approveBtn').on('click', function() {
            var modal = $('#approveModal');
            modal.find('.withdraw-amount').text($(this).data('amount'));
            modal.find('.withdraw-charge').text($(this).data('charge'));
            modal.find('.withdraw-after_charge').text($(this).data('after_charge'));
            modal.find('.withdraw-rate').text($(this).data('rate'));
            modal.find('.withdraw-payable').text($(this).data('payable'));

            var list = [];
            var details =  Object.entries($(this).data('info'));

            var ImgPath = "<?php echo e(asset(imagePath()['verify']['deposit']['path'])); ?>";
            var singleInfo = '';
            for (var i = 0; i < details.length; i++) {
                if (details[i][1].type == 'file') {
                    singleInfo += `<li class="list-group-item d-flex justify-content-between rounded-0">
                                        <span class="font-weight-bold mb-2"> ${details[i][0].replaceAll('_', " ")} </span> <img class="w-25" src="${ImgPath}/${details[i][1].field_name}" alt="..." class="w-100">
                                    </li>`;
                }else{
                    singleInfo += `<li class="list-group-item d-flex justify-content-between rounded-0">
                                        <span class="font-weight-bold "> ${details[i][0].replaceAll('_', " ")} </span> <span class="font-weight-bold ml-3">${details[i][1].field_name}</span>
                                    </li>`;
                }
            }

            if (singleInfo)
            {
                modal.find('.withdraw-detail').html(`<h5 class="my-3 text-center"><?php echo app('translator')->get('Payment Information'); ?></h5>  ${singleInfo}`);
            }else{
                modal.find('.withdraw-detail').html(`<?php echo app('translator')->get('${singleInfo}'); ?>`);
            }
            modal.modal('show');
        });
        $('.detailBtn').on('click', function() {
            var modal = $('#detailModal');
            var feedback = $(this).data('admin_feedback');
            modal.find('.withdraw-detail').html(`<p> <?php echo app('translator')->get('${feedback}'); ?> </p>`);
            modal.modal('show');
        });
    })(jQuery)
</script>
<?php $__env->stopPush(); ?>



<?php $__env->startPush('breadcrumb-plugins'); ?>
    <li><a href="<?php echo e(route('user.home')); ?>"><?php echo app('translator')->get('Dashboard'); ?></a></li>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate.'layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/trusrpca/applecliniclb.com/core/resources/views/templates/basic/user/deposit_history.blade.php ENDPATH**/ ?>