<?php $__env->startSection('panel'); ?>

    <div class="row mb-none-30">
        <div class="col-xl-4 col-lg-5 mb-30">
            <div class="card b-radius--5 overflow-hidden">
                <div class="card-body">
                    <div class="avatar avatar--lg text-center mb-4">
                        <img src="<?php echo e(getImage('assets/admin/images/profile/'. $admin->image)); ?>" class="w-50 h-auto" alt="profile-image">
                    </div>
                    <ul class="list-group">
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            <?php echo app('translator')->get('Name'); ?>
                            <span class="font-weight-bold"><?php echo e($admin->name); ?></span>
                        </li>

                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            <?php echo app('translator')->get('Username'); ?>
                            <span  class="font-weight-bold"><?php echo e($admin->username); ?></span>
                        </li>

                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            <?php echo app('translator')->get('Email'); ?>
                            <span  class="font-weight-bold"><?php echo e($admin->email); ?></span>
                        </li>

                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            <?php echo app('translator')->get('Last Update'); ?>
                            <span  class="font-weight-bold"><?php echo e(showDateTime($admin->updated_at,'d M, Y h:i A')); ?></span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            <?php echo app('translator')->get('Joined'); ?>
                            <span  class="font-weight-bold"><?php echo e(showDateTime($admin->created_at,'d M, Y h:i A')); ?></span>
                        </li>

                    </ul>
                </div>
            </div>
        </div>
        <div class="col-xl-8 col-lg-7 mb-30">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title mb-50 border-bottom pb-2"><?php echo app('translator')->get('Profile Information'); ?></h5>

                    <form action="<?php echo e(route('admin.profile.update')); ?>" method="POST" enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>
                        <div class="form-group row">
                            <div class="col-lg-3 col-xl-2">
                                <label for="profilePicUpload1" class="font-weight-bold"><?php echo app('translator')->get('Image'); ?></label>
                            </div>
                            <div class="col-lg-9 col-xl-10">
                                <div class="payment-method-item">
                                    <div class="payment-method-header d-flex flex-wrap">
                                        <div class="thumb">
                                            <div class="avatar-preview">
                                                <div class="profilePicPreview" style="background-image: url('<?php echo e(getImage('assets/admin/images/profile/'. auth()->guard('admin')->user()->image, '400x400')); ?>')"></div>
                                            </div>
                                            <div class="avatar-edit">
                                                <input type="file" name="image" class="profilePicUpload" id="image" accept=".png, .jpg, .jpeg"/>
                                                <label for="image" class="bg--primary"><i class="la la-pencil"></i></label>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-lg-3 col-xl-2">
                                <label class="form-control-label font-weight-bold"><?php echo app('translator')->get('Name'); ?></label>
                            </div>
                            <div class="col-lg-9 col-xl-10">
                                <input class="form-control" type="text" name="name" value="<?php echo e(auth()->guard('admin')->user()->name); ?>" >
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-lg-3 col-xl-2">
                                <label class="form-control-label  font-weight-bold"><?php echo app('translator')->get('Email'); ?></label>
                            </div>
                            <div class="col-lg-9 col-xl-10">
                                <input class="form-control" type="email" name="email" value="<?php echo e(auth()->guard('admin')->user()->email); ?>" >
                            </div>
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn--primary btn-block btn-lg"><?php echo app('translator')->get('Save Changes'); ?></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
    <a href="<?php echo e(route('admin.password')); ?>" class="btn btn-sm btn--primary box--shadow1 text--small" ><i class="fa fa-key"></i><?php echo app('translator')->get('Password Setting'); ?></a>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/trusrpca/applecliniclb.com/core/resources/views/admin/profile.blade.php ENDPATH**/ ?>