<?php $__env->startSection('panel'); ?>
<div class="row">
    <div class="col-lg-12">
        <div class="card b-radius--10 ">
            <div class="card-body">
                <div class="row justify-content-end mb-2">
                    <div class="col-lg-3">
                        <form action="
                            <?php if(request()->routeIs('admin.report.order') ||request()->routeIs('admin.report.order.search')): ?>
                                <?php echo e(route('admin.report.order.search')); ?>

                            <?php else: ?>
                                <?php echo e(route('admin.report.order.user_search', $user->id)); ?>

                            <?php endif; ?>
                            " method="GET">
                                <div class="input-group has_append">
                                    <input type="text" name="search" class="form-control" placeholder="<?php echo app('translator')->get('Order ID'); ?>" value="<?php echo e($key ?? ''); ?>">
                                    <div class="input-group-append">
                                        <button class="btn btn--primary box--shadow1" id="search-btn" type="submit"><i class="fa fa-search"></i></button>
                                    </div>
                                </div>
                        </form>

                    </div>
                    <div class="col-lg-3">

                        <form action="
                            <?php if(request()->routeIs('admin.report.order') ||request()->routeIs('admin.report.order.search')): ?>
                            <?php echo e(route('admin.report.order.search')); ?>

                            <?php else: ?>
                                <?php echo e(route('admin.report.order.user_search', $user->id)); ?>

                            <?php endif; ?>
                            " method="GET"
                        >
                            <div class="input-group has_append ">
                                <input name="date" type="text" data-range="true" data-multiple-dates-separator=" to " data-language="en" class="datepicker-here form-control" data-position='bottom right' placeholder="<?php echo app('translator')->get('Date to Date Search'); ?>" autocomplete="off" value="" data-date-format="dd-mm-yyyy">
                                <div class="input-group-append">
                                    <button class="btn btn--primary" type="submit"><i class="fa fa-search"></i></button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>

                <div class="table-responsive--md  table-responsive">
                    <table class="table table--light style--two">
                        <thead>
                            <tr>
                                <th scope="col"><?php echo app('translator')->get('Date'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Order ID'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Customer'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Status'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Amount'); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td data-label="<?php echo app('translator')->get('Date'); ?>"><?php echo e(showDateTime($order->created_at)); ?></td>
                                <td data-label="<?php echo app('translator')->get('Order ID'); ?>" class="font-weight-bold">
                                    <a href="<?php echo e(route('admin.order.details', $order->id)); ?>"><?php echo e(strtoupper($order->order_number)); ?></a>
                                </td>

                                <td data-label="<?php echo app('translator')->get('Customer'); ?>">
                                    <a href="<?php echo e(route('admin.users.detail', $order->user->id)); ?>"><?php echo e($order->user->username); ?> </a>
                                </td>

                                <td scope="row" data-label="<?php echo app('translator')->get('Status'); ?>" >
                                    <span class="text--small badge font-weight-normal
                                        <?php if($order->status == 0): ?>
                                            <?php echo e('badge--warning'); ?>

                                        <?php elseif($order->status == 1): ?>
                                            <?php echo e('badge--primary'); ?>


                                        <?php elseif($order->status == 2): ?>
                                            <?php echo e('badge--dark'); ?>

                                        <?php elseif($order->status == 3): ?>
                                            <?php echo e('badge--success'); ?>

                                        <?php elseif($order->status == 4): ?>
                                            <?php echo e('badge--danger'); ?>

                                        <?php endif; ?>
                                        ">
                                        <?php if($order->status == 0): ?>
                                        <?php echo e(__('Pending')); ?>

                                        <?php elseif($order->status == 1): ?>
                                        <?php echo e(__('Processing')); ?>...
                                        <?php elseif($order->status == 2): ?>
                                            <?php echo e(__('Dispatched')); ?>

                                        <?php elseif($order->status == 3): ?>
                                            <?php echo e(__('Delivered')); ?>

                                        <?php elseif($order->status == 4): ?>
                                            <?php echo e(__('Canceled')); ?>

                                        <?php endif; ?>
                                    </span>
                                </td>

                                <td data-label="<?php echo app('translator')->get('Amount'); ?>" class="budget"><?php echo e($general->cur_sym); ?><?php echo e(getAmount($order->total_amount)); ?></td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td class="text-muted text-center" colspan="100%"><?php echo e(__($empty_message)); ?></td>
                            </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="card-footer py-4">
                <nav aria-label="...">
                    <?php echo e($orders->appends(['search'=>@$search])->links('admin.partials.paginate')); ?>

                </nav>
            </div>
        </div>
    </div>
</div>


<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>

<script src="<?php echo e(asset('assets/admin/js/vendor/datepicker.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/admin/js/vendor/datepicker.en.js')); ?>"></script>
<script>
    // date picker

    'use strict';
    (function($){
        $('.datepicker-here').datepicker();
    })(jQuery)
</script>
<?php $__env->stopPush(); ?>



<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/trusrpca/applecliniclb.com/core/resources/views/admin/reports/orders.blade.php ENDPATH**/ ?>