<?php $__env->startSection('panel'); ?>
<div class="row">

    <div class="col-lg-12 mb-4">
        <div class="card-body bg--10 py-2">
            <h4 class="text-white"><?php echo app('translator')->get('Product Name'); ?> : <?php echo e(__($product->name)); ?></h4>
        </div>
    </div>

    <div class="col-lg-12">
        <div class="card">
            <div class="card">
                <div class="card-body p-0">
                        <?php if($data && $product->has_variants): ?>
                            <div class="table-responsive--md table-responsive">
                                <table class="table table--light">

                                    <thead>
                                        <tr>
                                            <th><?php echo app('translator')->get('S.N.'); ?></th>
                                            <th><?php echo app('translator')->get('Variant'); ?></th>
                                            <th><?php echo app('translator')->get('SKU'); ?></th>
                                            <th><?php echo app('translator')->get('Quantity'); ?></th>
                                            <th class="text-center"><?php echo app('translator')->get('Action'); ?></th>
                                        </tr>
                                    </thead>

                                    <tbody>
                                        <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><?php echo e($loop->iteration); ?></td>
                                            <td><?php echo e(__($item['combination'])); ?></td>
                                            <td><?php echo e(@$item['sku']); ?></td>
                                            <td class="text-center">
                                                <span class="text--small badge <?php if($item['quantity'] ==0): ?> badge--danger <?php elseif($item['quantity'] < 10): ?> badge--warning <?php else: ?> badge--success <?php endif; ?> font-weight-normal"><?php echo e($item['quantity']??0); ?></span>
                                            </td>

                                            <td class="text-center">
                                                <a href="javascript:void(0)" data-sku="<?php echo e($item['sku']); ?>" data-attributes="<?php echo e($item['attributes']); ?>" class="icon-btn btn--primary mr-1 editBtn" data-toggle="tooltip" data-title="<?php echo app('translator')->get('Update Inventory'); ?>">
                                                    <i class="la la-pencil-alt"></i>
                                                </a>

                                                <a href="<?php echo e(route('admin.products.stock.log', $item['stock_id']??0)); ?>" class="icon-btn btn--info" data-toggle="tooltip" data-title="<?php echo app('translator')->get('See Logs'); ?>"><i class="fas fa-list"></i></a>
                                            </td>
                                        </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        <?php elseif(!$data && $product->has_variants): ?>
                        <div class="table-responsive--md table-responsive">
                            <table class="table table--light">
                                <tr>
                                    <td colspan="100%" class="text-center"><h3 class="text--danger"><?php echo app('translator')->get('You did not add any variant for this product yet.'); ?></h3>
                                        <a class="btn btn--dark mt-3" href="<?php echo e(route('admin.products.attribute-add', [$product->id])); ?>"><?php echo app('translator')->get('Add Variant'); ?></a>
                                    </td>
                                </tr>

                            </table>
                        </div>
                        <?php else: ?>
                        <div class="table-responsive--md table-responsive">
                            <table class="table table--light">
                                <tr>
                                    <th><?php echo app('translator')->get('SKU'); ?></th>
                                    <th><?php echo app('translator')->get('Quantity'); ?></th>
                                    <th class="text-center"><?php echo app('translator')->get('Action'); ?></th>
                                </tr>
                                <tr>
                                    <td data-label="<?php echo app('translator')->get('SKU'); ?>"><?php echo e($product->sku); ?></td>
                                    <td data-label="<?php echo app('translator')->get('Quantity'); ?>"><?php echo e(sprintf('%02d',showAvailableStock($product->id, $attr_val=null))); ?></td>
                                    <td class="text-center">
                                        <a href="javascript:void(0)" data-sku="<?php echo e($product->sku); ?>" data-attributes="0" class="icon-btn btn--primary mr-1 editBtn" data-toggle="tooltip" data-title="<?php echo app('translator')->get('Update Inventory'); ?>">
                                            <i class="la la-pencil-alt"></i>
                                        </a>

                                        <a href="<?php echo e(route('admin.products.stock.log', $product->stocks[0]??0)); ?>" class="icon-btn btn--info" data-toggle="tooltip" data-title="<?php echo app('translator')->get('See Logs'); ?>"><i class="fas fa-list"></i></a>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>


        <!-- Modal -->
        <div class="modal fade" id="editModal">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title"><?php echo app('translator')->get('Update Inventory'); ?></h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                    </div>

                    <form action="<?php echo e(route('admin.products.stock.add', $product->id)); ?>" method="POST">
                        <?php echo csrf_field(); ?>
                        <div class="modal-body">
                            <input type="hidden" name="attr" value="">
                            <div class="form-group sku">
                                <label for=""><?php echo app('translator')->get('SKU'); ?></label>
                                <input type="text" name="sku" id="" class="form-control" placeholder="<?php echo app('translator')->get('Type Here'); ?>.."/>

                                <span class="text--small text--info"> <i class="fas fa-info-circle"> <?php echo app('translator')->get('If you want to update only SKU keep the Quantity field 0'); ?></i></span>
                            </div>

                            <label><?php echo app('translator')->get('Quantity'); ?></label>
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <select class="btn btn--dark group-select-left" name="type">
                                    <option value="1">+</option>
                                    <option value="2">-</option>
                                    </select>
                                </div>
                                <input type="text" class="form-control integer-validation" name="quantity" placeholder="<?php echo app('translator')->get('Type Here'); ?>...">
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn--dark" data-dismiss="modal"><?php echo app('translator')->get('Close'); ?></button>
                            <button type="submit" class="btn btn--primary"><?php echo app('translator')->get('Save'); ?></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('breadcrumb-plugins'); ?>
<a href="<?php echo e(route('admin.products.all')); ?>" class="btn btn-sm btn--primary box--shadow1 text--small"><i class="las la-backward"></i><?php echo app('translator')->get('Go Back'); ?></a>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
<script>
    'use strict';
    (function($){

        $('.editBtn').on('click', function(){
            var modal       = $('#editModal');
            var attrArray   = $(this).data('attributes');
            modal.find('input[name=sku]').val($(this).data('sku'));
            if(attrArray != 0){
                modal.find('input[name=attr]').val(JSON.stringify(attrArray));
            }else{
                modal.find('.sku').hide();
                modal.find('input[name=attr]').remove();

            }
            modal.modal('show');
        });
    })(jQuery)

</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp74\htdocs\applecliniclb\core\resources\views/admin/products/stock/create.blade.php ENDPATH**/ ?>