<?php $__env->startSection('panel'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="card p-3">
                <div class="card-header card-header-bg d-flex flex-wrap justify-content-between align-items-center">
                    <h6 class="card-title mt-0">

                        <?php if($ticket->status == 0): ?>
                            <span class="text--small badge font-weight-normal badge--success py-1"><?php echo app('translator')->get('Open'); ?></span>
                        <?php elseif($ticket->status == 1): ?>
                            <span class="text--small badge font-weight-normal badge--primary py-1"><?php echo app('translator')->get('Answered'); ?></span>
                        <?php elseif($ticket->status == 2): ?>
                            <span
                                class="text--small badge font-weight-normal badge--warning py-1"><?php echo app('translator')->get('Customer Reply'); ?></span>
                        <?php elseif($ticket->status == 3): ?>
                            <span class="text--small badge font-weight-normal badge--dark py-1"><?php echo app('translator')->get('Closed'); ?></span>
                        <?php endif; ?>
                        [<?php echo app('translator')->get('Ticket'); ?>#<?php echo e($ticket->ticket); ?>] <?php echo e(__($ticket->subject)); ?>


                    </h6>
                    <button class="btn btn--dark close-button" type="button" data-toggle="modal" data-target="#DelModal"><i class="las la-times"></i> <?php echo app('translator')->get('Close Ticket'); ?></button>
                </div>
                <div class="card-body ">
                    <form action="<?php echo e(route('admin.ticket.reply', $ticket->id)); ?>" enctype="multipart/form-data" method="post" class="form-horizontal">
                        <?php echo csrf_field(); ?>

                        <div class="form-group">
                            <textarea class="form-control" name="message" rows="3" id="inputMessage" placeholder="<?php echo app('translator')->get('Your Message ...'); ?>"></textarea>
                        </div>

                        <div class="form-group">
                            <label for="inputAttachments"><?php echo app('translator')->get('Attachments'); ?></label>

                            <div class="file-upload-wrapper" data-text="<?php echo app('translator')->get('Select your file!'); ?>">
                                <input type="file" name="attachments[]" id="inputAttachments"
                                class="file-upload-field"/>
                            </div>

                            <div id="fileUploadsContainer"></div>
                            <div class="ticket-attachments-message text-muted text--small my-2">
                                <?php echo app('translator')->get('Allowed File Extensions:'); ?> <?php echo app('translator')->get('.jpg, .jpeg, .png, .pdf'); ?>,
                            </div>
                        </div>

                        <div class="d-flex justify-content-between">
                            <a href="javascript:void(0)" class="btn btn--primary add-more">
                                <i class="la la-plus"></i> <?php echo app('translator')->get('Add More'); ?>
                            </a>

                            <button type="submit" class="btn btn--success" name="replayTicket" value="1">
                                <i class="la la-reply"></i> <?php echo app('translator')->get('Reply'); ?>
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <div class="col-lg-12 mt-3">
            <div class="card p-3">
                <div class="card-header">
                    <h5 class="card-title"><?php echo app('translator')->get('All messages'); ?></h5>
                </div>
                <div class="card-body">
                    <?php $__currentLoopData = $messages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $message): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if($message->admin_id == 0): ?>
                        <div class="single-answer from__client box--shadow1 mt-30">

                            <div class="single-answer__header bg--dark">
                                <div class="left">
                                    <h5>
                                        <?php if($ticket->owner_id != null): ?>
                                            <p class="d-inline"><a href="<?php echo e(route('admin.users.detail', $ticket->owner_id)); ?>" class="text--cyan">&#64;<?php echo e($ticket->name); ?></a></p>
                                        <?php else: ?>
                                            <p class="d-inline text--cyan">&#64;<?php echo e($ticket->name); ?></p>
                                        <?php endif; ?>
                                        <p class="d-inline text--cyan"> - <?php echo e(diffForHumans($message->created_at)); ?></p>
                                    </h5>
                                </div>

                                <div class="right">
                                    <button data-id="<?php echo e($message->id); ?>" type="button" data-toggle="modal" data-target="#DelMessage" class="btn btn-danger btn-sm delete-message"><i class="la la-trash mr-0"></i></button>
                                </div>
                            </div>

                            <div class="single-answer__body">
                                <p><?php echo e($message->message); ?></p>

                                <?php if($message->attachments()->count() > 0): ?>
                                    <div class="my-3 d-flex flex-wrap">
                                        <?php $__currentLoopData = $message->attachments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <a href="<?php echo e(route('admin.ticket.download',encrypt($image->id))); ?>" class="mr-3"><i class="fa fa-file fa-2x text--amber"></i> <?php echo app('translator')->get('Attachment'); ?> <?php echo e($loop->iteration); ?> </a>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                <?php endif; ?>
                            </div>

                        </div>
                    <?php else: ?>
                        <div class="single-answer from__admin box--shadow1 mt-30">

                            <div class="single-answer__header bg--primary">
                                <div class="left">
                                    <p class="d-inline text-white"><?php echo e($message->admin->name); ?></p>
                                    <p class="d-inline text-white-50"> - <?php echo e(diffForHumans($message->created_at)); ?></p>
                                </div>
                                <div class="right">
                                    <button data-id="<?php echo e($message->id); ?>" type="button" data-toggle="modal" data-target="#DelMessage" class="btn btn-danger btn-sm delete-message"><i class="la la-trash mr-0"></i></button>
                                </div>
                            </div>

                            <div class="single-answer__body">
                                <p><?php echo e($message->message); ?></p>
                                <?php if($message->attachments()->count() > 0): ?>
                                    <div class="my-3">
                                        <?php $__currentLoopData = $message->attachments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=> $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <a href="<?php echo e(route('admin.ticket.download',encrypt($image->id))); ?>" class="mr-3"><i class="fa fa-file fa-2x text--amber"></i>  <?php echo app('translator')->get('Attachment'); ?> <?php echo e(++$k); ?> </a>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                <?php endif; ?>
                            </div>

                        </div>

                    <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                </div>
            </div>
        </div>
    </div>




    <div class="modal fade" id="DelModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"> <?php echo app('translator')->get('Close Support Ticket!'); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <?php echo app('translator')->get('Are you  want to Close This Support Ticket?'); ?>
                </div>
                <div class="modal-footer">
                    <form method="post" action="<?php echo e(route('admin.ticket.reply', $ticket->id)); ?>">
                        <?php echo csrf_field(); ?>
                        <button type="button" class="btn btn--dark" data-dismiss="modal"><?php echo app('translator')->get('No'); ?> </button>
                        <button type="submit" class="btn btn--success" name="replayTicket" value="2"> <?php echo app('translator')->get('Yes'); ?> </button>
                    </form>
                </div>

            </div>
        </div>
    </div>



    <div class="modal fade" id="DelMessage" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"><?php echo app('translator')->get('Delete Reply!'); ?></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <?php echo app('translator')->get('Are you sure to delete this?'); ?>
                </div>
                <div class="modal-footer">
                    <form method="post" action="<?php echo e(route('admin.ticket.delete')); ?>">
                        <?php echo csrf_field(); ?>
                        <input type="hidden" name="message_id" class="message_id">
                        <button type="button" class="btn btn--dark" data-dismiss="modal"><?php echo app('translator')->get('No'); ?></button>
                        <button type="submit" class="btn btn--danger"><?php echo app('translator')->get('Yes'); ?></button>
                    </form>
                </div>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
    <a href="<?php echo e(route('admin.ticket')); ?>" class="btn btn-sm btn--primary box--shadow1 text--small"><i class="la la-fw la-backward"></i> <?php echo app('translator')->get('Go Back'); ?> </a>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        'use strict';
        (function($){
            $('.delete-message').on('click', function (e) {
                $('.message_id').val($(this).data('id'));
            });

            $('.add-more').on('click', function () {

                $("#fileUploadsContainer").append(`
                <div class="file-upload-wrapper" data-text="<?php echo app('translator')->get('Select your file!'); ?>"><input type="file" name="attachments[]" id="inputAttachments" class="file-upload-field"/></div>`)
            });

        })(jQuery)


    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/khapbqfu/public_html/demo/test_apple/core/resources/views/admin/support/reply.blade.php ENDPATH**/ ?>