<?php $__env->startSection('panel'); ?>
    <div class="row mb-none-30">
        <div class="col-xl-3 col-lg-5 col-md-5 mb-30">

            <div class="card b-radius--10 overflow-hidden box--shadow1">
                <div class="card-body">
                    <div class="mb-3">
                        <img src="<?php echo e(getAvatar('assets/images/user/profile/'. $user->image)); ?>" alt="<?php echo app('translator')->get('profile-image'); ?>" class="b-radius--10 w-100">
                    </div>
                </div>
            </div>


<style>
    @media  only screen and (min-width: 700px) {
  .table_width {
   margin-left:-15px;
  
  }
  .name_width{
      margin-right: 10px;
   width: 54px; 
  }
}
</style>


            <div class="card mt-30">
                <div class="card-body table_width" >
                    <h5 class="mb-20 text-muted"><?php echo app('translator')->get('Customer Information'); ?></h5>

                    <ul class="list-group">
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                           <span class="name_width"><?php echo app('translator')->get('Name'); ?></span> 
                            <span class="font-weight-bold"><?php echo e($user->fullname); ?></span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            <?php echo app('translator')->get('Username'); ?>
                            <span class="font-weight-bold"><?php echo e($user->username); ?></span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            <?php echo app('translator')->get('Status'); ?>
                            <?php switch($user->status):
                                case (1): ?>
                                <span class="badge badge--success font-weight-normal text--small"><?php echo app('translator')->get('Active'); ?></span>
                                <?php break; ?>
                                <?php case (0): ?>
                                <span class="badge badge--danger font-weight-normal text--small"><?php echo app('translator')->get('Banned'); ?></span>
                                <?php break; ?>
                            <?php endswitch; ?>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            <?php echo app('translator')->get('Joined'); ?>
                            <span class="font-weight-bold"><?php echo e(showDateTime($user->created_at,'d M, Y h:i A')); ?></span>
                        </li>

                    </ul>
                </div>
            </div>

            <div class="card b-radius--10 overflow-hidden mt-30 box--shadow1">
                <div class="card-body">
                    <h5 class="mb-20 text-muted"><?php echo app('translator')->get('Customer Action'); ?></h5>

                    <a href="<?php echo e(route('admin.users.login.history.single', $user->id)); ?>"
                       class="btn btn--primary btn--shadow btn-block btn-lg">
                        <?php echo app('translator')->get('Login Logs'); ?>
                    </a>
                    <a href="<?php echo e(route('admin.users.email.single',$user->id)); ?>"
                       class="btn btn--danger btn--shadow btn-block btn-lg">
                        <?php echo app('translator')->get('Send Email'); ?>
                    </a>
                </div>
            </div>
        </div>

        <div class="col-xl-9 col-lg-7 col-md-7 mb-30">

            <div class="row mb-none-30">
                <div class="col-xl-4 col-md-12 col-sm-12 mb-30">
                    <div class="widget bb--3 border--cyan b-radius--10 bg--white p-4 box--shadow2 has--link">
                        <a href="<?php echo e(route('admin.users.deposits',$user->id)); ?>" class="item--link"></a>
                        <div class="widget__icon b-radius--rounded bg--cyan"><i class="fa fa-credit-card"></i></div>
                        <div class="widget__content">
                            <p class="text-uppercase text-muted"><?php echo app('translator')->get('Total Shopping'); ?></p>
                            <h2 class="text--cyan font-weight-bold"><?php echo e($general->cur_sym); ?><?php echo e(number_format($totalDeposit, 2)); ?></h2>

                        </div>
                        <div class="widget__arrow">
                            <i class="fas fa-chevron-right"></i>
                        </div>
                    </div>
                </div>

                <div class="col-xl-4 col-md-12 col-sm-12 mb-30">
                    <div class="widget bb--3 border--info b-radius--10 bg--white p-4 box--shadow2 has--link">
                        <a href="<?php echo e(route('admin.users.transactions',$user->id)); ?>" class="item--link"></a>
                        <div class="widget__icon b-radius--rounded bg--info"><i class="la la-exchange-alt"></i></div>
                        <div class="widget__content">
                            <p class="text-uppercase text-muted"><?php echo app('translator')->get('Total Transactions'); ?></p>
                            <h2 class="text--info font-weight-bold"><?php echo e($totalTransaction); ?></h2>

                        </div>
                        <div class="widget__arrow">
                            <i class="fas fa-chevron-right"></i>
                        </div>
                    </div>
                </div>

                <div class="col-xl-4 col-md-12 col-sm-12 mb-30">
                    <div class="widget bb--3 border--indigo b-radius--10 bg--white p-4 box--shadow2 has--link">
                        <a href="<?php echo e(route('admin.report.order.user',$user->id)); ?>" class="item--link"></a>
                        <div class="widget__icon b-radius--rounded bg--indigo"><i class="la la-shopping-basket"></i></div>
                        <div class="widget__content">
                            <p class="text-uppercase text-muted"><?php echo app('translator')->get('Total Orders'); ?></p>
                            <h2 class="text--indigo font-weight-bold"><?php echo e($totalOrders); ?></h2>

                        </div>
                        <div class="widget__arrow">
                            <i class="fas fa-chevron-right"></i>
                        </div>
                    </div>
                </div>
            </div>

            <div class="card mt-30">
                <div class="card-body">
                    <h5 class="card-title mb--20 border-bottom pb-2"><?php echo e($user->fullname); ?> <?php echo app('translator')->get('Information'); ?></h5>
                    <form action="<?php echo e(route('admin.users.update',[$user->id])); ?>" method="POST" enctype="multipart/form-data" class="mt-4">
                        <?php echo csrf_field(); ?>
                        <div class="form-group row">
                            <div class="col-md-12 col-lg-3 col-xl-2">
                                <label class="form-control-label font-weight-bold"><?php echo app('translator')->get('First Name'); ?>
                                </label>
                            </div>
                            <div class="col-md-12 col-lg-9 col-xl-10">
                                <input class="form-control" type="text" name="firstname" value="<?php echo e($user->firstname); ?>" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-md-12 col-lg-3 col-xl-2">
                                <label class="form-control-label  font-weight-bold"><?php echo app('translator')->get('Last Name'); ?></label>
                            </div>
                            <div class="col-md-12 col-lg-9 col-xl-10">
                                <input class="form-control" type="text" name="lastname" value="<?php echo e($user->lastname); ?>" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-md-12 col-lg-3 col-xl-2">
                                <label class="form-control-label font-weight-bold"><?php echo app('translator')->get('Email'); ?></label>
                            </div>
                            <div class="col-md-12 col-lg-9 col-xl-10">
                                <input class="form-control" type="email" name="email" value="<?php echo e($user->email); ?>" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-md-12 col-lg-3 col-xl-2">
                                <label class="form-control-label font-weight-bold"><?php echo app('translator')->get('Mobile'); ?></label>
                            </div>
                            <div class="col-md-12 col-lg-9 col-xl-10">
                                <input class="form-control" type="text" name="mobile" value="<?php echo e($user->mobile); ?>" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-md-12 col-lg-3 col-xl-2">
                                <label class="form-control-label font-weight-bold"><?php echo app('translator')->get('Address'); ?> </label>
                            </div>
                            <div class="col-md-12 col-lg-9 col-xl-10">
                                <input class="form-control" type="text" name="address" value="<?php echo e($user->address->address); ?>">
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-md-12 col-lg-3 col-xl-2">
                                <label class="form-control-label font-weight-bold"><?php echo app('translator')->get('City'); ?> </label>
                            </div>
                            <div class="col-md-12 col-lg-9 col-xl-10">
                                <input class="form-control" type="text" name="city" value="<?php echo e($user->address->city); ?>">
                            </div>
                        </div>

                        <dv class="form-group row">
                            <div class="col-md-12 col-lg-3 col-xl-2">
                                <label class="form-control-label font-weight-bold"><?php echo app('translator')->get('State'); ?> </label>
                            </div>
                            <div class="col-md-12 col-lg-9 col-xl-10">
                                <input class="form-control" type="text" name="state" value="<?php echo e($user->address->state); ?>">
                            </div>
                        </dv>

                        <div class="form-group row">
                            <div class="col-md-12 col-lg-3 col-xl-2">
                                <label class="form-control-label font-weight-bold"><?php echo app('translator')->get('Zip/Post Code'); ?> </label>
                            </div>
                            <div class="col-md-12 col-lg-9 col-xl-10">
                                <input class="form-control" type="text" name="zip" value="<?php echo e($user->address->zip); ?>">
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-md-12 col-lg-3 col-xl-2">
                                <label class="form-control-label font-weight-bold"><?php echo app('translator')->get('Country'); ?> </label>
                            </div>
                            <div class="col-md-12 col-lg-9 col-xl-10">
                                <select name="country" class="form-control"> <?php echo $__env->make('partials.country', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> </select>
                            </div>
                        </div>

                        <div class="row justify-content-end">
                            <div class="col-md-12 col-lg-9 col-xl-10">
                                <div class="row">
                                    <div class="col-lg-4">
                                        <div class="form-group row">
                                            <div class="col-md-12">
                                                <label class="font-weight-bold">
                                                    <?php echo app('translator')->get('Status'); ?>
                                                </label>
                                            </div>
                                            <div class="col-md-12">
                                                <label class="switch">
                                                    <input type="checkbox" name="status" value="1" <?php if(isset($user)): ?> <?php echo e($user->status?'checked':''); ?>  <?php endif; ?>>
                                                    <span class="slider round"></span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-4">
                                        <div class="form-group row">
                                            <div class="col-md-12">
                                                <label class="font-weight-bold">
                                                    <?php echo app('translator')->get('Email Verification'); ?>
                                                </label>
                                            </div>
                                            <div class="col-md-12">
                                                <label class="switch">
                                                    <input type="checkbox" name="ev" value="1" <?php if(isset($user)): ?> <?php echo e($user->ev?'checked':''); ?>  <?php endif; ?>>
                                                    <span class="slider round"></span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-4">
                                        <div class="form-group row">
                                            <div class="col-md-12">
                                                <label class="font-weight-bold">
                                                    <?php echo app('translator')->get('SMS Verification'); ?>
                                                </label>
                                            </div>
                                            <div class="col-md-12">
                                                <label class="switch">
                                                    <input type="checkbox" name="sv" value="1" <?php if(isset($user)): ?> <?php echo e($user->sv?'checked':''); ?>  <?php endif; ?>>
                                                    <span class="slider round"></span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn--primary btn-block btn-lg"><?php echo app('translator')->get('Save Changes'); ?>
                                    </button>
                                </div>
                            </div>

                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        'use strict';
        (function($){
            $("select[name=country]").val("<?php echo e(@$user->address->country); ?>");
        })(jQuery)
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/trusrpca/applecliniclb.com/core/resources/views/admin/users/detail.blade.php ENDPATH**/ ?>