<?php $__env->startSection('panel'); ?>
<div class="row justify-content-center">
    <div class="col-lg-4 categories-tree">
        <div class="card b-radius--10">
            <div class="card-body">
                <button class="btn btn--dark btn--shadow-default close-tree mx-3 mb-3" type="button" value="1"><?php echo app('translator')->get('Collapse All'); ?></button>

                <div class="file-tree-wrapper">
                    <ul class="file-tree d-none">
                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="folder-root <?php if($category->allSubcategories->count()>0): ?> open <?php endif; ?>" >
                                <?php if($category->allSubcategories->count()>0): ?>
                                <i class="las la-minus-circle file-opener-i"></i>
                                <?php endif; ?>

                                <a href="javascript:void(0)" class="parent" data-category="<?php echo e($category); ?>" data-image="<?php echo e(getImage(imagePath()['category']['path']. '/' .$category->image, imagePath()['category']['size'])); ?>">
                                    <?php echo e(__($category->name)); ?>

                                </a>

                                <span type="button" class="p-0 ml-3 delete-btn bg-danger d-none" data-id="<?php echo e($category->id); ?>"><i class="las la-times-circle"></i></span>

                                    <?php $__currentLoopData = $category->allSubcategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subcategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <ul>
                                        <?php echo $__env->make('admin.categories.subcategory', ['subcategory' => $subcategory], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    </ul>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
            </div>
        </div>
    </div>

    <div class="col-lg-8">
        <div class="card b-radius--10 ">
            <div class="card-body">
                <form action="<?php echo e(route('admin.category-store', 0)); ?>" method="POST" enctype="multipart/form-data" id="addForm">
                    <div class="modal-body">
                        <?php echo csrf_field(); ?>
                        <input type="hidden" name="parent_id">
                        <div class="form-group row">
                            <div class="col-md-2">
                                <label class="font-weight-bold"><?php echo app('translator')->get('Image'); ?></label>
                            </div>
                            <div class="col-md-10">
                                <div class="payment-method-item">
                                    <div class="payment-method-header d-flex flex-wrap">
                                        <div class="thumb">
                                            <div class="avatar-preview">
                                                <div class="profilePicPreview" style="background-image: url('<?php echo e(getImage(null, imagePath()['category']['size'])); ?>')"></div>
                                            </div>
                                            <div class="avatar-edit">
                                                <input type="file" name="image_input" class="profilePicUpload" id="image" accept=".png, .jpg, .jpeg"/ required>
                                                <label for="image" class="bg--primary"><i class="la la-pencil"></i></label>
                                            </div>
                                        </div>
                                    </div>
                                    <small class="form-text text-muted mb-2"> <?php echo app('translator')->get('Supported Files:'); ?>
                                        <b><?php echo app('translator')->get('jpeg, jpg, png'); ?></b>.
                                        <?php echo app('translator')->get("Image will be resized into ". imagePath()['brand']['size'] ."px"); ?></b>
                                    </small>
                                </div>
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-md-2">
                                <label class="font-weight-bold"><?php echo app('translator')->get('Category Name'); ?></label>
                            </div>

                            <div class="col-md-10">
                                <input type="text" class="form-control" placeholder="<?php echo app('translator')->get('Enter Category Name'); ?>" value="<?php echo e(old('name')); ?>" name="name" required/>
                            </div>
                        </div>

                        <div class="form-group row">

                            <div class="col-md-2">
                                <label class="font-weight-bold"><?php echo app('translator')->get('Icon'); ?></label>
                            </div>
                            <div class="col-md-10">
                                <div class="input-group has_append">
                                    <input type="text" class="form-control icon-name" name="icon" value="<?php echo e(old('icon')); ?>" placeholder="<?php echo app('translator')->get('Icon'); ?>" required>

                                    <div class="input-group-append">
                                        <button class="btn btn-outline-secondary iconPicker" data-icon="fas fa-home" role="iconpicker"></button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-md-2">
                                <label class="font-weight-bold"><?php echo app('translator')->get('Meta Title'); ?></label>
                            </div>
                            <div class="col-md-10">
                                <input type="text" class="form-control" name="meta_title" value="<?php echo e(old('meta_title')); ?>" placeholder="<?php echo app('translator')->get('Meta Title'); ?>">
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-md-2">
                                <label class="font-weight-bold"><?php echo app('translator')->get('Meta Description'); ?></label>
                            </div>

                            <div class="col-md-10">
                                <textarea name="meta_description" rows="5" class="form-control"><?php echo e(old('meta_description')); ?> </textarea>
                            </div>
                        </div>

                        <div class="form-group row">

                            <div class="col-md-2">
                                <label class="font-weight-bold"><?php echo app('translator')->get('Meta Keywords'); ?></label>
                            </div>
                            <div class="col-md-10">
                                <select name="meta_keywords[]" class="form-control select2-auto-tokenize"  multiple="multiple"></select>
                                <small class="form-text text-muted">
                                    <i class="las la-info-circle"></i>
                                    <?php echo app('translator')->get('Type , or hit enter to seperate keywords'); ?>
                                </small>
                            </div>

                        </div>
                        <div class="form-group row">

                            <div class="col-md-2">
                                <label class="font-weight-bold"><?php echo app('translator')->get('Highlight In'); ?></label>
                            </div>
                            <div class="col-md-10">
                                <div class="custom-control custom-checkbox form-check-primary">
                                    <input type="checkbox" name="top_category" value="1" class="custom-control-input" id="top_category">
                                    <label class="custom-control-label" for="top_category"><?php echo app('translator')->get('Top Category'); ?></label>
                                </div>

                                <div class="custom-control custom-checkbox form-check-primary">
                                    <input type="checkbox" name="special_category" value="1" class="custom-control-input" id="special_category">
                                    <label class="custom-control-label" for="special_category"><?php echo app('translator')->get('Special Category'); ?></label>
                                </div>

                                <div class="custom-control custom-checkbox form-check-primary">
                                    <input type="checkbox" name="filter_menu" value="1" class="custom-control-input" id="filter_menu">
                                    <label class="custom-control-label" for="filter_menu"><?php echo app('translator')->get('Filter Menu'); ?></label>
                                </div>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-block btn--success mr-2"><?php echo app('translator')->get('Save'); ?></button>
                </form>
            </div>
        </div>
    </div>
</div>




<div class="modal fade" id="deleteModal">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <form action="" method="POST" id="deletePostForm">
                <?php echo csrf_field(); ?>
                <div class="modal-header">
                    <h5 class="modal-title text-capitalize"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-sm btn--dark" data-dismiss="modal"><?php echo app('translator')->get('No'); ?></button>
                    <button type="submit" class="btn btn-sm btn--danger"><?php echo app('translator')->get('Yes'); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>


<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
    <?php if(request()->routeIs('admin.category.all')): ?>
        <button class="btn btn-sm btn--primary add-parent mb-xl-0 mb-2 box--shadow1 text--small"> <i class="las la-plus"></i> <?php echo app('translator')->get('Add Parent'); ?></button>
        <button class="btn btn-sm btn--success add-chlid mb-xl-0 mb-2 box--shadow1 text--small" disabled> <i class="las la-plus"></i> <?php echo app('translator')->get('Add Child'); ?></button>
    <?php else: ?>
        <?php if(request()->routeIs('admin.category.trashed.search')): ?>
            <a href="<?php echo e(route('admin.category.trashed')); ?>"
                class="btn btn-sm btn--primary box--shadow1 text--small">
                <i class="la la-fw la-backward"></i> <?php echo app('translator')->get('Go Back'); ?>
            </a>
        <?php else: ?>
            <a href="<?php echo e(route('admin.category.all')); ?>"
                class="btn btn-sm btn--primary box--shadow1 text--small">
                <i class="la la-fw la-backward"></i> <?php echo app('translator')->get('Go Back'); ?>
            </a>
        <?php endif; ?>
    <?php endif; ?>

    <?php if(request()->routeIs('admin.category.all')): ?>
        <a href="<?php echo e(route('admin.category.trashed')); ?>" class="btn btn-sm btn--danger mb-xl-0 mb-2 box--shadow1 text--small"><i class="las la-trash-alt"></i><?php echo app('translator')->get('Trashed'); ?></a>
    <?php endif; ?>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script-lib'); ?>
    <script src="<?php echo e(asset('assets/admin/js/bootstrap-iconpicker.bundle.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/admin/js/file-explore.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style-lib'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/bootstrap-iconpicker.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/file-explore.css')); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>

    <script>
        'use strict';
        (function($){
            $(document).on('click', '.close-tree' ,function(){
                var val = this.value;
                if(val ==1) {
                    $(this).text("<?php echo app('translator')->get('Expand All'); ?>")
                    $(this).val(2);
                    $(document).find('.folder-root.open').removeClass('open').addClass('closed');
                }else{
                    $(this).text("<?php echo app('translator')->get('Collapse All'); ?>")
                    $(this).val(1);
                    $(document).find('.folder-root.closed').removeClass('closed').addClass('open');
                }
            });

            $(".file-tree").filetree().removeClass('d-none').hide().slideDown('slow');

            $(document).on('click', '.parent', function(){
                $('#image').removeAttr('required');
                var parent = $(document).find('.parent.active');
                var length = parent.length;
                var form    = $('#addForm');
                var data    = $(this).data('category');
                var image   = $(this).data('image');
                var action  = `<?php echo e(route('admin.category-store', '')); ?>/${data.id}`
                form.attr('action', action);

                $(document).find('.delete-btn').addClass('d-none');

                $(this).siblings('.delete-btn').removeClass('d-none');

                if(length > 0){
                    parent.first().removeClass('active');
                }
                form.find('.select2-auto-tokenize').text('');
                form.find('input[name=parent_id]').val(data.parent_id);
                form.find('input[name=name]').val(data.name);
                form.find('input[name=icon]').val(data.icon);
                form.find('input[name=meta_title]').val(data.meta_title);
                form.find('textarea[name=meta_description]').val(data.meta_description);

                if(data.is_top == 1){
                    form.find('input[name=top_category]').prop('checked', true);
                }else{
                    form.find('input[name=top_category]').prop('checked', false);
                }

                if(data.is_special == 1){
                    form.find('input[name=special_category]').prop('checked', true);
                }else{
                    form.find('input[name=special_category]').prop('checked', false);
                }

                if(data.in_filter_menu == 1){
                    form.find('input[name=filter_menu]').prop('checked', true);
                }else{
                    form.find('input[name=filter_menu]').prop('checked', false);
                }

                $.each(data.meta_keywords, function (i, item) {
                    form.find('.select2-auto-tokenize').append($('<option>', {
                        value: item,
                        text : item,
                    }));
                });

                form.find('.select2-auto-tokenize').val(data.meta_keywords);
                form.find('.profilePicPreview').css('background-image', `url(${image})`);

                $('.add-chlid').removeAttr('disabled');

                $(this).toggleClass('active');
            });


            $(document).on('click','.add-chlid' ,function(){
                $('#image').attr('required', 'required');
                var form        = $('#addForm');
                var parent = $(document).find('.parent.active');
                var parent_id   = $(parent).data('category').id;
                var action  = `<?php echo e(route('admin.category-store', 0)); ?>`
                form.attr('action', action);
                form.find("input[type=text], textarea, select").val("");
                form.find('input[name=parent_id]').val(parent_id);
                form.find('.select2-auto-tokenize').text('');

                form.find('input[name=top_category]').prop('checked', false);
                form.find('input[name=special_category]').prop('checked', false);
                form.find('input[name=filter_menu]').prop('checked', false);

                form.find('.profilePicPreview').css('background-image', `url('<?php echo e(getImage(imagePath()['category']['path']. '/' .null, imagePath()['category']['size'])); ?>')`);
            });

            $(document).on('click', '.add-parent' ,function(){
                $('#image').attr('required', 'required');
                $('.add-chlid').attr('disabled', 'disabled');
                var form        = $('#addForm');
                var action  = `<?php echo e(route('admin.category-store', 0)); ?>`;

                var parent = $(document).find('.parent.active');

                var length = parent.length;

                if(length > 0){
                    parent.first().removeClass('active');
                    parent.parents('li').find('.delete-btn').addClass('d-none');
                }

                form.attr('action', action);
                form.find("input[type=text], textarea, select").val("");
                form.find('input[name=parent_id]').val('');
                form.find('.select2-auto-tokenize').text('');
                form.find('input[name=top_category]').prop('checked', false);
                form.find('input[name=special_category]').prop('checked', false);
                form.find('input[name=filter_menu]').prop('checked', false);
                form.find('.profilePicPreview').css('background-image', `url('<?php echo e(getImage(imagePath()['category']['path']. '/' .null, imagePath()['category']['size'])); ?>')`);
            });


            $('#addModal, #editModal').on('shown.bs.modal', function (e) {
                $(document).off('focusin.modal');
            });

            $('.iconPicker').iconpicker().on('change', function (e) {
                $(this).parent().siblings('.icon-name').val(`<i class="${e.icon}"></i>`);
            });

            $(document).on('click', '.delete-btn' ,function () {
                var modal   = $('#deleteModal');
                var id      = $(this).data('id');

                console.log(id);
                var form    = document.getElementById('deletePostForm');
                modal.find('.modal-title').text('<?php echo e(trans("Delete Category")); ?>');
                modal.find('.modal-body').text('<?php echo e(trans("Are you sure to delete this category")); ?>?');
                form.action = '<?php echo e(route('admin.category.delete', '')); ?>' + '/' + id;
                modal.modal('show');
            });

            $('#addForm').on('submit', function(e){
                e.preventDefault();
                var url = this.action;
                var formData = new FormData(this);
                var btn     = $(this).find('button[type=submit]')
                btn.attr('disabled', 'disabled');
                $.ajax({
                    url: url,
                    type : "POST",
                    cache: false,
                    contentType : false, // you can also use multipart/form-data replace of false
                    processData: false,
                    data: formData,
                    success: function (response) {
                        if(response.status == 'error'){
                            notify('error', response.message);
                        }else{
                            console.log(response.data);
                            notify('success', response.message);
                        }
                        if(response.reload == true){
                            location.reload();
                        }
                        btn.removeAttr('disabled');
                    }
                });
            });

        })(jQuery)
    </script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp74\htdocs\applecliniclb\core\resources\views/admin/categories/index.blade.php ENDPATH**/ ?>