<?php $__env->startSection('content'); ?>
<?php
    $register_content        = getContent('register_page.content', true);
?>
    <div class="account-section padding-bottom padding-top">

        <div class="contact-thumb rev-side d-none d-lg-block">
            <img src="<?php echo e(getImage('assets/images/frontend/register_page/'. @$register_content->data_values->image, '600x840')); ?>" alt="register-bg">
        </div>

        <div class="container">
            <div class="row">
                <div class="col-lg-7 offset-lg-5">
                    <div class="section-header left-style">
                        <h3 class="title"><?php echo e(__($register_content->data_values->title)); ?></h3>
                        <p><?php echo e(__($register_content->data_values->description)); ?></p>
                    </div>
                    <form action="<?php echo e(route('user.register')); ?>" method="POST" class="contact-form mb-30-none">
                        <?php echo csrf_field(); ?>

                        <div class="contact-group">
                            <label for="firstname"><?php echo app('translator')->get('First Name'); ?></label>
                            <input id="firstname" type="text" name="firstname" value="<?php echo e(old('firstname	')); ?>" required>
                        </div>

                        <div class="contact-group">
                            <label for="lastname"><?php echo app('translator')->get('Last Name'); ?></label>
                            <input id="lastname" type="text" class="form-control" name="lastname" value="<?php echo e(old('lastname	')); ?>" required>
                        </div>

                        <div class="contact-group">
                            <label for="username"><?php echo app('translator')->get('Username'); ?></label>
                            <input id="username" type="text" name="username" value="<?php echo e(old('username')); ?>" required>
                        </div>

                        <div class="contact-group country-code">
                            <label><?php echo app('translator')->get('Mobile'); ?></label>

                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">
                                        <select name="country_code">
                                            <?php echo $__env->make('partials.country_code', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                        </select>
                                    </span>
                                </div>
                                <input type="text" name="mobile" class="form-control" placeholder="<?php echo app('translator')->get('Your Phone Number'); ?>">
                            </div>
                        </div>

                        <div class="contact-group">
                            <label for="email"><?php echo app('translator')->get('Country'); ?></label>
                            <input type="text" name="country"  readonly>
                        </div>


                        <div class="contact-group">
                            <label for="email"><?php echo app('translator')->get('Email'); ?></label>
                            <input id="email" type="email" name="email" value="<?php echo e(old('email')); ?>" required>
                        </div>

                        <div class="contact-group">
                            <label for="password"><?php echo app('translator')->get('Password'); ?></label>

                            <input id="password" type="password" class="form-control" name="password" required autocomplete="new-password">

                        </div>

                        <div class="contact-group">
                            <label for="password-confirm"><?php echo app('translator')->get('Confirm Password'); ?></label>

                            <input id="password-confirm" type="password" name="password_confirmation" required autocomplete="new-password">
                        </div>


                        <?php $captcha =   getCustomCaptcha('register captcha') ?>
                        <?php if($captcha): ?>
                        <div class="contact-group">
                            <label for="password"><?php echo app('translator')->get('Captcha'); ?></label>
                            <input type="text" name="captcha" autocomplete="off" placeholder="<?php echo app('translator')->get('Enter The Code Below'); ?>">

                            <div class="d-flex mt-4 justify-content-end w-100">
                                <?php echo  getCustomCaptcha('register captcha') ?>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="contact-group">
                            <div class="w-100 ">
                                <div class="m--10 d-flex flex-wrap align-items-center justify-content-between">
                                    <span class="account-alt"><?php echo app('translator')->get('Already have an account?'); ?> <a href="<?php echo e(route('user.login')); ?>"><?php echo app('translator')->get('Login'); ?></a></span>

                                    <button type="submit" id="recaptcha" class="custom-button d-sm-block"><?php echo app('translator')->get('Sign Up'); ?></button>
                                </div>
                            </div>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>


<?php $__env->startPush('script'); ?>
<script>
    'use strict';

    (function($){
        <?php if($country_code): ?>
        var t = $(`option[data-code=<?php echo e($country_code); ?>]`).attr('selected','');
        <?php endif; ?>

        var country = $('select[name=country_code] :selected').data('country');
        if(country){
            $('input[name=country]').val(country);
        }

        $('select[name=country_code]').on('change', function(){
            $('input[name=country]').val($('select[name=country_code] :selected').data('country'));
        });

    })(jQuery)

  </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate.'layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/khapbqfu/public_html/demo/test_apple/core/resources/views/templates/basic/user/auth/register.blade.php ENDPATH**/ ?>